!******************************************************************************!
!                                                                              !
!    currents_info1.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info1.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-02 00:09             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info1
  implicit none
  contains
  subroutine fill_current_1(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_WMinus, P_A, P_H, P_GPlus, 445, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, 345, check)
    call createCurrent(P_WPlus, P_GPlus, P_GMinus, P_WMinus, 264, check)
    call createCurrent(P_GPlus, P_b, P_tAnti, 754, check)
    call createCurrent(P_WPlus, P_H, P_H, P_WMinus, 44, check)
    call createCurrent(P_G0, P_H, P_A, 1050, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, 881, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_G0, 467, check)
    call createCurrent(P_t, P_tAnti, P_A, 394, check)
    call createCurrent(P_c, P_G0, P_cAnti, 33, check)
    call createCurrent(P_GPlus, P_A, P_Z, P_GMinus, 506, check)
    call createCurrent(P_G0, P_WMinus, P_WPlus, P_G0, 7, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_H, 87, check)
    call createCurrent(P_H, P_A, P_GMinus, P_WPlus, 921, check)
    call createCurrent(P_H, P_ghWpAnti, P_ghWp, 487, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_H, 563, check)
    call createCurrent(P_Z, P_bAnti, P_b, 258, check)
    call createCurrent(P_H, P_tauPlus, P_tauMinus, 518, check)
    call createCurrent(P_G0, P_cAnti, P_c, 339, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_G0, 627, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_GPlus, 230, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_A, 788, check)
    call createCurrent(P_Z, P_GPlus, P_H, P_WMinus, 376, check)
    call createCurrent(P_H, P_H, P_A, P_Z, 1103, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_A, 485, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_A, 248, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, 221, check)
    call createCurrent(P_WMinus, P_Z, P_H, P_GPlus, 746, check)
    call createCurrent(P_A, P_WMinus, P_A, P_WPlus, 832, check)
    call createCurrent(P_muPlus, P_muMinus, 1120, check)
    call createCurrent(P_muMinus, P_muPlus, P_G0, 390, check)
    call createCurrent(P_bAnti, P_b, P_Z, 144, check)
    call createCurrent(P_muMinus, P_G0, P_muPlus, 425, check)
    call createCurrent(P_G0, P_uAnti, P_u, 570, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_A, 584, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GPlus, 992, check)
    call createCurrent(P_GPlus, P_Z, P_Z, P_GMinus, 1032, check)
    call createCurrent(P_A, P_c, P_cAnti, 381, check)
    call createCurrent(P_s, P_sAnti, P_H, 524, check)
    call createCurrent(P_t, P_tAnti, P_G0, 534, check)
    call createCurrent(P_g, P_WPlus, P_WMinus, P_g, 1201, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_Z, 973, check)
    call createCurrent(P_H, P_G0, P_G0, 714, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_Z, 342, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, 303, check)
    call createCurrent(P_d, P_WPlus, P_uAnti, 551, check)
    call createCurrent(P_Z, P_nu_tau, P_nu_tauAnti, 879, check)
    call createCurrent(P_A, P_uAnti, P_u, 579, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_A, 293, check)
    call createCurrent(P_g, P_cAnti, P_c, 373, check)
    call createCurrent(P_WMinus, P_A, P_A, P_WPlus, 770, check)
    call createCurrent(P_WMinus, P_G0, P_G0, P_WPlus, 299, check)
    call createCurrent(P_uAnti, P_d, P_WPlus, 269, check)
    call createCurrent(P_G0, P_A, P_Z, P_G0, 1130, check)
    call createCurrent(P_GMinus, P_nu_mu, P_muPlus, 143, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_GPlus, 483, check)
    call createCurrent(P_WPlus, P_WMinus, P_GMinus, P_GPlus, 889, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, 60, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_Z, 156, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, P_G0, 934, check)
    call createCurrent(P_H, P_H, 1136, check)
    call createCurrent(P_Z, P_g, P_Z, P_g, 1208, check)
    call createCurrent(P_uAnti, P_u, 1080, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, 689, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_A, 159, check)
    call createCurrent(P_Z, P_A, P_GPlus, P_GMinus, 202, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, P_H, 574, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WPlus, 327, check)
    call createCurrent(P_GMinus, P_dAnti, P_u, 931, check)
    call createCurrent(P_H, P_uAnti, P_u, 897, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GMinus, 1021, check)
    call createCurrent(P_WMinus, P_WPlus, P_WMinus, P_WPlus, 705, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, 316, check)
    call createCurrent(P_GPlus, P_G0, P_A, P_WMinus, 752, check)
    call createCurrent(P_G0, P_WMinus, P_G0, P_WPlus, 734, check)
    call createCurrent(P_s, P_g, P_sAnti, 512, check)
    call createCurrent(P_A, P_bAnti, P_b, 1041, check)
    call createCurrent(P_Z, P_H, P_GPlus, P_WMinus, 837, check)
    call createCurrent(P_sAnti, P_s, 1119, check)
    call createCurrent(P_WMinus, P_nu_mu, P_muPlus, 664, check)
    call createCurrent(P_WPlus, P_Z, P_G0, P_GMinus, 205, check)
    call createCurrent(P_c, P_sAnti, P_GMinus, 799, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, P_H, 283, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, 498, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, 568, check)
    call createCurrent(P_H, P_ghZAnti, P_ghZ, 988, check)
    call createCurrent(P_G0, P_eMinus, P_ePlus, 1002, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, 56, check)
    call createCurrent(P_G0, P_u, P_uAnti, 884, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, 874, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, P_H, 92, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_Z, 718, check)
    call createCurrent(P_nu_e, P_GMinus, P_ePlus, 151, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_GMinus, 41, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_A, 608, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_Z, 78, check)
    call createCurrent(P_tAnti, P_WPlus, P_b, 811, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, 1132, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_GPlus, 321, check)
    call createCurrent(P_Z, P_H, P_A, P_H, 1084, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghZAnti, 993, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, 688, check)
    call createCurrent(P_muMinus, P_muPlus, P_H, 877, check)
    call createCurrent(P_g, P_GMinus, P_GPlus, P_g, 1142, check)
    call createCurrent(P_u, P_dAnti, P_WMinus, 548, check)
    call createCurrent(P_tAnti, P_GPlus, P_b, 240, check)
    call createCurrent(P_WMinus, P_dAnti, P_u, 757, check)
    call createCurrent(P_g, P_g, P_g, P_Z, 1155, check)
    call createCurrent(P_Z, P_H, P_WMinus, P_GPlus, 800, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, P_H, 834, check)
    call createCurrent(P_WPlus, P_GMinus, P_GPlus, P_WMinus, 438, check)
    call createCurrent(P_dAnti, P_d, 1125, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, 59, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_G0, 916, check)
    call createCurrent(P_Z, P_WPlus, P_A, P_WMinus, 1042, check)
    call createCurrent(P_s, P_sAnti, P_Z, 26, check)
    call createCurrent(P_s, P_A, P_sAnti, 84, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_Z, 946, check)
    call createCurrent(P_g, P_H, P_g, 1207, check)
    call createCurrent(P_GMinus, P_GPlus, 1075, check)
    call createCurrent(P_WPlus, P_Z, P_A, P_WMinus, 281, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, P_H, 152, check)
    call createCurrent(P_Z, P_ghWm, P_ghWmAnti, 814, check)
    call createCurrent(P_GMinus, P_g, P_GPlus, P_g, 1216, check)
    call createCurrent(P_d, P_dAnti, 1114, check)
    call createCurrent(P_G0, P_WMinus, P_Z, P_GPlus, 364, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_A, 1094, check)
    call createCurrent(P_Z, P_H, P_WPlus, P_GMinus, 876, check)
    call createCurrent(P_muPlus, P_muMinus, P_G0, 650, check)
    call createCurrent(P_H, P_H, P_Z, P_Z, 367, check)
    call createCurrent(P_H, P_G0, P_A, 1054, check)
    call createCurrent(P_WPlus, P_A, P_H, P_GMinus, 791, check)
    call createCurrent(P_H, P_Z, P_Z, P_H, 888, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghA, 686, check)
    call createCurrent(P_A, P_nu_tau, P_nu_tauAnti, 1133, check)
    call createCurrent(P_Z, P_WPlus, P_Z, P_WMinus, 887, check)
    call createCurrent(P_cAnti, P_g, P_c, 109, check)
    call createCurrent(P_GMinus, P_Z, P_H, P_WPlus, 46, check)
    call createCurrent(P_A, P_cAnti, P_c, 1031, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, 396, check)
    call createCurrent(P_G0, P_H, P_Z, 794, check)
    call createCurrent(P_WMinus, P_GMinus, P_GPlus, P_WPlus, 822, check)
    call createCurrent(P_GMinus, P_Z, P_A, P_GPlus, 472, check)
    call createCurrent(P_WPlus, P_tauMinus, P_nu_tauAnti, 291, check)
    call createCurrent(P_Z, P_A, P_G0, P_G0, 1070, check)
    call createCurrent(P_Z, P_c, P_cAnti, 895, check)
    call createCurrent(P_GMinus, P_bAnti, P_t, 82, check)
    call createCurrent(P_G0, P_Z, P_G0, P_A, 1109, check)
    call createCurrent(P_A, P_ghWm, P_ghWmAnti, 513, check)
    call createCurrent(P_WPlus, P_H, P_A, P_GMinus, 473, check)
    call createCurrent(P_d, P_g, P_dAnti, 679, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, 213, check)
    call createCurrent(P_bAnti, P_b, P_g, 557, check)
    call createCurrent(P_cAnti, P_Z, P_c, 505, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_Z, 174, check)
    call createCurrent(P_Z, P_G0, P_G0, P_A, 1095, check)
    call createCurrent(P_g, P_tAnti, P_t, 1217, check)
    call createCurrent(P_GPlus, P_GMinus, 1056, check)
    call createCurrent(P_G0, P_g, P_g, P_G0, 1190, check)
    call createCurrent(P_eMinus, P_WPlus, P_nu_eAnti, 883, check)
    call createCurrent(P_t, P_H, P_tAnti, 543, check)
    call createCurrent(P_cAnti, P_A, P_c, 658, check)
    call createCurrent(P_g, P_g, P_H, 1218, check)
    call createCurrent(P_WPlus, P_WMinus, P_G0, P_G0, 42, check)
    call createCurrent(P_muPlus, P_muMinus, P_H, 893, check)
    call createCurrent(P_GPlus, P_GMinus, P_WPlus, P_WMinus, 363, check)
    call createCurrent(P_Z, P_ePlus, P_eMinus, 73, check)
    call createCurrent(P_H, P_GMinus, P_Z, P_WPlus, 525, check)
    call createCurrent(P_tauPlus, P_G0, P_tauMinus, 31, check)
    call createCurrent(P_tauMinus, P_WPlus, P_nu_tauAnti, 636, check)
    call createCurrent(P_G0, P_GPlus, P_A, P_WMinus, 641, check)
    call createCurrent(P_d, P_uAnti, P_GPlus, 314, check)
    call createCurrent(P_uAnti, P_u, P_H, 942, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_G0, 70, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_Z, 349, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghWp, 535, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_A, 214, check)
    call createCurrent(P_H, P_H, P_Z, P_A, 1057, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_H, 635, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, 180, check)
    call createCurrent(P_t, P_Z, P_tAnti, 254, check)
    call createCurrent(P_H, P_tauMinus, P_tauPlus, 540, check)
    call createCurrent(P_G0, P_dAnti, P_d, 820, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, 929, check)
    call createCurrent(P_H, P_g, P_H, P_g, 1159, check)
    call createCurrent(P_s, P_Z, P_sAnti, 1015, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_Z, 235, check)
    call createCurrent(P_d, P_A, P_dAnti, 910, check)
    call createCurrent(P_t, P_GMinus, P_bAnti, 539, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, 731, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_A, 428, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, 19, check)
    call createCurrent(P_nu_e, P_WMinus, P_ePlus, 413, check)
    call createCurrent(P_H, P_cAnti, P_c, 72, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 68, check)
    call createCurrent(P_bAnti, P_b, P_G0, 808, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_A, 733, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, P_H, 853, check)
    call createCurrent(P_H, P_G0, P_H, P_G0, 1011, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, 765, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_Z, 237, check)
    call createCurrent(P_G0, P_WPlus, P_Z, P_GMinus, 403, check)
    call createCurrent(P_WPlus, P_A, P_A, P_WMinus, 825, check)
    call createCurrent(P_nu_tau, P_A, P_nu_tauAnti, 1129, check)
    call createCurrent(P_H, P_H, P_GPlus, P_GMinus, 776, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, 536, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, 55, check)
    call createCurrent(P_WPlus, P_nu_muAnti, P_muMinus, 12, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_GMinus, 85, check)
    call createCurrent(P_muMinus, P_muPlus, P_A, 823, check)
    call createCurrent(P_G0, P_G0, P_G0, P_G0, 795, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_G0, 54, check)
    call createCurrent(P_c, P_cAnti, P_Z, 919, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, 126, check)
    call createCurrent(P_ePlus, P_nu_e, P_WMinus, 982, check)
    call createCurrent(P_WMinus, P_c, P_sAnti, 668, check)
    call createCurrent(P_A, P_muPlus, P_muMinus, 90, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_A, 666, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, 966, check)
    call createCurrent(P_u, P_A, P_uAnti, 4, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, 1018, check)
    call createCurrent(P_H, P_Z, P_GMinus, P_WPlus, 252, check)
    call createCurrent(P_WMinus, P_H, P_Z, P_GPlus, 455, check)
    call createCurrent(P_H, P_g, P_g, 1143, check)
    call createCurrent(P_uAnti, P_G0, P_u, 441, check)
    call createCurrent(P_A, P_u, P_uAnti, 215, check)
    call createCurrent(P_A, P_H, P_G0, 1123, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_A, 693, check)
    call createCurrent(P_A, P_A, P_GPlus, P_GMinus, 238, check)
    call createCurrent(P_G0, P_c, P_cAnti, 274, check)
    call createCurrent(P_A, P_Z, P_g, P_g, 1205, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, 886, check)
    call createCurrent(P_WMinus, P_WPlus, P_g, P_g, 1213, check)
    call createCurrent(P_dAnti, P_d, P_Z, 201, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_G0, 100, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, 880, check)
    call createCurrent(P_G0, P_A, P_WMinus, P_GPlus, 898, check)
    call createCurrent(P_b, P_bAnti, P_G0, 488, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_GPlus, 3, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, 669, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, 239, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, 64, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_Z, 212, check)
    call createCurrent(P_Z, P_Z, P_g, P_g, 1140, check)
    call createCurrent(P_dAnti, P_d, P_G0, 749, check)
    call createCurrent(P_H, P_Z, P_Z, 924, check)
    call createCurrent(P_ghWpAnti, P_H, P_ghWp, 990, check)
    call createCurrent(P_G0, P_A, P_WPlus, P_GMinus, 922, check)
    call createCurrent(P_tauPlus, P_A, P_tauMinus, 907, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_A, 484, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_A, 1066, check)
    call createCurrent(P_WMinus, P_g, P_WPlus, P_g, 1187, check)
    call createCurrent(P_bAnti, P_GMinus, P_t, 792, check)
    call createCurrent(P_dAnti, P_GMinus, P_u, 217, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_A, 863, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_Z, 793, check)
    call createCurrent(P_Z, P_G0, P_H, 867, check)
    call createCurrent(P_cAnti, P_c, P_g, 953, check)
    call createCurrent(P_GMinus, P_GMinus, P_GPlus, P_GPlus, 471, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_G0, 282, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, 440, check)
    call createCurrent(P_A, P_A, P_H, 1181, check)
    call createCurrent(P_Z, P_tauMinus, P_tauPlus, 817, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_Z, 287, check)
    call createCurrent(P_GMinus, P_GPlus, P_WPlus, P_WMinus, 133, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_Z, 257, check)
    call createCurrent(P_muMinus, P_WPlus, P_nu_muAnti, 319, check)
    call createCurrent(P_g, P_A, P_g, P_Z, 1158, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_A, 359, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_A, 885, check)
    call createCurrent(P_WPlus, P_G0, P_Z, P_GMinus, 398, check)
    call createCurrent(P_Z, P_GMinus, P_G0, P_WPlus, 981, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_A, 1085, check)
    call createCurrent(P_WPlus, P_Z, P_H, P_GMinus, 632, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_A, 475, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_G0, 1013, check)
    call createCurrent(P_G0, P_muMinus, P_muPlus, 127, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, 432, check)
    call createCurrent(P_WMinus, P_nu_e, P_ePlus, 45, check)
    call createCurrent(P_sAnti, P_s, P_H, 189, check)
    call createCurrent(P_H, P_WMinus, P_H, P_WPlus, 882, check)
    call createCurrent(P_A, P_H, P_GMinus, P_WPlus, 247, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_H, 121, check)
    call createCurrent(P_g, P_u, P_uAnti, 171, check)
    call createCurrent(P_A, P_G0, P_WPlus, P_GMinus, 648, check)
    call createCurrent(P_ghGAnti, P_g, P_ghG, 392, check)
    call createCurrent(P_eMinus, P_A, P_ePlus, 468, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_Z, 547, check)
    call createCurrent(P_g, P_H, P_H, P_g, 1150, check)
    call createCurrent(P_s, P_cAnti, P_WPlus, 53, check)
    call createCurrent(P_Z, P_uAnti, P_u, 179, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_Z, 268, check)
    call createCurrent(P_tauMinus, P_H, P_tauPlus, 341, check)
    call createCurrent(P_GPlus, P_GMinus, P_g, P_g, 1192, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_G0, 94, check)
    call createCurrent(P_Z, P_WMinus, P_G0, P_GPlus, 197, check)
    call createCurrent(P_G0, P_A, P_H, 1083, check)
    call createCurrent(P_nu_tauAnti, P_Z, P_nu_tau, 335, check)
    call createCurrent(P_nu_muAnti, P_GPlus, P_muMinus, 20, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_H, 462, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, 175, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, 830, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, P_H, 531, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, 170, check)
    call createCurrent(P_G0, P_ghWm, P_ghWmAnti, 1006, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, 604, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_GMinus, 51, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_G0, 813, check)
    call createCurrent(P_dAnti, P_g, P_d, 1012, check)
    call createCurrent(P_u, P_uAnti, P_Z, 162, check)
    call createCurrent(P_nu_eAnti, P_nu_e, 1115, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, 470, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_G0, 142, check)
    call createCurrent(P_WPlus, P_b, P_tAnti, 665, check)
    call createCurrent(P_A, P_GMinus, P_A, P_GPlus, 224, check)
    call createCurrent(P_nu_e, P_A, P_nu_eAnti, 1105, check)
    call createCurrent(P_dAnti, P_u, P_GMinus, 346, check)
    call createCurrent(P_c, P_cAnti, P_A, 116, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, 273, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, 920, check)
    call createCurrent(P_Z, P_Z, P_GPlus, P_GMinus, 523, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_H, 2, check)
    call createCurrent(P_H, P_GPlus, P_Z, P_WMinus, 1030, check)
    call createCurrent(P_sAnti, P_s, P_A, 378, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, 520, check)
    call createCurrent(P_s, P_sAnti, 1081, check)
    call createCurrent(P_H, P_Z, P_H, P_Z, 801, check)
    call createCurrent(P_G0, P_Z, 1090, check)
    call createCurrent(P_A, P_A, P_WPlus, P_WMinus, 315, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_A, 1004, check)
    call createCurrent(P_A, P_eMinus, P_ePlus, 762, check)
    call createCurrent(P_WPlus, P_g, P_WMinus, P_g, 1206, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_A, 1007, check)
    call createCurrent(P_eMinus, P_ePlus, P_Z, 286, check)
    call createCurrent(P_WMinus, P_Z, P_A, P_WPlus, 961, check)
    call createCurrent(P_WPlus, P_WMinus, P_g, P_g, 1210, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, 371, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, 624, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, 74, check)
    call createCurrent(P_b, P_tAnti, P_GPlus, 1029, check)
    call createCurrent(P_tAnti, P_t, P_A, 618, check)
    call createCurrent(P_WMinus, P_H, P_H, P_WPlus, 873, check)
    call createCurrent(P_A, P_Z, P_H, P_H, 1135, check)
    call createCurrent(P_muMinus, P_A, P_muPlus, 956, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WMinus, 465, check)
    call createCurrent(P_u, P_uAnti, P_H, 643, check)
    call createCurrent(P_G0, P_A, P_GPlus, P_WMinus, 182, check)
    call createCurrent(P_Z, P_g, P_g, P_Z, 1195, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_Z, 422, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, 787, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, 379, check)
    call createCurrent(P_nu_mu, P_A, P_nu_muAnti, 1102, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_A, 128, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_G0, 220, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, 609, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_H, 980, check)
    call createCurrent(P_A, P_g, P_g, P_A, 1170, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, 186, check)
    call createCurrent(P_c, P_sAnti, P_WMinus, 735, check)
    call createCurrent(P_Z, P_G0, P_GPlus, P_WMinus, 489, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, 96, check)
    call createCurrent(P_G0, P_bAnti, P_b, 147, check)
    call createCurrent(P_A, P_d, P_dAnti, 86, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, 169, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_Z, 361, check)
    call createCurrent(P_g, P_A, P_g, P_A, 1168, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, 782, check)
    call createCurrent(P_GPlus, P_tauMinus, P_nu_tauAnti, 233, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_A, 130, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, 493, check)
    call createCurrent(P_H, P_H, P_H, 494, check)
    call createCurrent(P_G0, P_ghWp, P_ghWpAnti, 246, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghWpAnti, 358, check)
    call createCurrent(P_GMinus, P_G0, P_G0, P_GPlus, 340, check)
    call createCurrent(P_ePlus, P_WMinus, P_nu_e, 577, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, 742, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, P_H, 614, check)
    call createCurrent(P_ePlus, P_H, P_eMinus, 839, check)
    call createCurrent(P_d, P_dAnti, P_g, 24, check)
    call createCurrent(P_uAnti, P_GPlus, P_d, 807, check)
    call createCurrent(P_Z, P_nu_muAnti, P_nu_mu, 575, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, 674, check)
    call createCurrent(P_GMinus, P_tauPlus, P_nu_tau, 480, check)
    call createCurrent(P_A, P_g, P_A, P_g, 1188, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_Z, 567, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_Z, 728, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_Z, 602, check)
    call createCurrent(P_A, P_sAnti, P_s, 610, check)
    call createCurrent(P_tAnti, P_t, P_H, 999, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_Z, 772, check)
    call createCurrent(P_H, P_H, P_G0, P_G0, 312, check)
    call createCurrent(P_sAnti, P_A, P_s, 769, check)
    call createCurrent(P_GMinus, P_GPlus, P_WMinus, P_WPlus, 797, check)
    call createCurrent(P_A, P_G0, P_H, 1079, check)
    call createCurrent(P_sAnti, P_g, P_s, 298, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, 290, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, 637, check)
    call createCurrent(P_ghWm, P_H, P_ghWmAnti, 1026, check)
    call createCurrent(P_A, P_GMinus, P_G0, P_WPlus, 216, check)
    call createCurrent(P_WMinus, P_GPlus, P_WPlus, P_GMinus, 755, check)
    call createCurrent(P_g, P_A, P_Z, P_g, 1204, check)
    call createCurrent(P_G0, P_g, P_G0, P_g, 1157, check)
    call createCurrent(P_Z, P_b, P_bAnti, 323, check)
    call createCurrent(P_d, P_dAnti, P_Z, 810, check)
    call createCurrent(P_H, P_g, P_g, P_H, 1151, check)
    call createCurrent(P_ePlus, P_eMinus, P_Z, 827, check)
    call createCurrent(P_dAnti, P_H, P_d, 370, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_Z, 835, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, 850, check)
    call createCurrent(P_GMinus, P_G0, P_Z, P_WPlus, 767, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_A, 356, check)
    call createCurrent(P_G0, P_G0, P_WMinus, P_WPlus, 727, check)
    call createCurrent(P_A, P_G0, P_Z, P_G0, 1099, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_H, 105, check)
    call createCurrent(P_b, P_G0, P_bAnti, 285, check)
    call createCurrent(P_A, P_g, P_g, P_g, 1185, check)
    call createCurrent(P_Z, P_WPlus, P_H, P_GMinus, 16, check)
    call createCurrent(P_A, P_g, P_Z, P_g, 1148, check)
    call createCurrent(P_WPlus, P_tAnti, P_b, 780, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, 1069, check)
    call createCurrent(P_Z, P_dAnti, P_d, 904, check)
    call createCurrent(P_g, P_g, P_G0, P_G0, 1173, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, 836, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_H, 421, check)
    call createCurrent(P_tAnti, P_H, P_t, 509, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, 108, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WPlus, 1154, check)
    call createCurrent(P_A, P_nu_muAnti, P_nu_mu, 1088, check)
    call createCurrent(P_nu_eAnti, P_WPlus, P_eMinus, 200, check)
    call createCurrent(P_cAnti, P_s, P_GPlus, 900, check)
    call createCurrent(P_Z, P_Z, P_WPlus, P_WMinus, 486, check)
    call createCurrent(P_G0, P_A, P_GMinus, P_WPlus, 872, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WPlus, 39, check)
    call createCurrent(P_A, P_G0, P_G0, P_Z, 1108, check)
    call createCurrent(P_c, P_g, P_cAnti, 167, check)
    call createCurrent(P_GMinus, P_A, P_H, P_WPlus, 677, check)
    call createCurrent(P_ghWp, P_H, P_ghWpAnti, 545, check)
    call createCurrent(P_Z, P_WMinus, P_Z, P_WPlus, 729, check)
    call createCurrent(P_Z, P_GMinus, P_A, P_GPlus, 583, check)
    call createCurrent(P_GMinus, P_u, P_dAnti, 251, check)
    call createCurrent(P_tauPlus, P_tauMinus, 1092, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_G0, 644, check)
    call createCurrent(P_A, P_ePlus, P_eMinus, 739, check)
    call createCurrent(P_uAnti, P_u, P_g, 499, check)
    call createCurrent(P_uAnti, P_u, P_A, 681, check)
    call createCurrent(P_g, P_g, P_H, P_H, 1214, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, 947, check)
    call createCurrent(P_c, P_Z, P_cAnti, 623, check)
    call createCurrent(P_t, P_tAnti, 1055, check)
    call createCurrent(P_ePlus, P_eMinus, P_G0, 1028, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, 941, check)
    call createCurrent(P_GPlus, P_GMinus, P_WMinus, P_WPlus, 278, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_G0, 619, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_G0, 984, check)
    call createCurrent(P_A, P_dAnti, P_d, 779, check)
    call createCurrent(P_cAnti, P_c, 1049, check)
    call createCurrent(P_GMinus, P_H, P_A, P_WPlus, 646, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, 350, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_Z, 395, check)
    call createCurrent(P_sAnti, P_H, P_s, 61, check)
    call createCurrent(P_sAnti, P_G0, P_s, 62, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_A, 452, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, 560, check)
    call createCurrent(P_bAnti, P_H, P_b, 675, check)
    call createCurrent(P_H, P_A, P_Z, P_H, 1110, check)
    call createCurrent(P_dAnti, P_Z, P_d, 663, check)
    call createCurrent(P_G0, P_Z, P_WMinus, P_GPlus, 932, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_A, 565, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, 809, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, 423, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_A, 38, check)
    call createCurrent(P_Z, P_u, P_uAnti, 101, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_GMinus, 824, check)
    call createCurrent(P_muMinus, P_Z, P_muPlus, 951, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_Z, 720, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, 1045, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_A, 760, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_GMinus, 242, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, 616, check)
    call createCurrent(P_Z, P_nu_mu, P_nu_muAnti, 967, check)
    call createCurrent(P_b, P_bAnti, P_A, 1005, check)
    call createCurrent(P_nu_tau, P_WMinus, P_tauPlus, 909, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, 826, check)
    call createCurrent(P_A, P_G0, 1076, check)
    call createCurrent(P_H, P_H, P_WMinus, P_WPlus, 736, check)
    call createCurrent(P_ePlus, P_A, P_eMinus, 571, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_G0, 157, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, 271, check)
    call createCurrent(P_sAnti, P_WMinus, P_c, 119, check)
    call createCurrent(P_uAnti, P_u, P_G0, 649, check)
    call createCurrent(P_GPlus, P_tAnti, P_b, 429, check)
    call createCurrent(P_WPlus, P_GMinus, P_WMinus, P_GPlus, 115, check)
    call createCurrent(P_H, P_A, P_H, P_Z, 1139, check)
    call createCurrent(P_WPlus, P_uAnti, P_d, 71, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_H, 572, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, 702, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, 317, check)
    call createCurrent(P_g, P_g, P_g, P_g, 805, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_Z, 457, check)
    call createCurrent(P_tAnti, P_b, P_WPlus, 354, check)
    call createCurrent(P_WMinus, P_G0, P_Z, P_GPlus, 34, check)
    call createCurrent(P_Z, P_g, P_g, P_A, 1149, check)
    call createCurrent(P_H, P_G0, P_G0, P_H, 944, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WMinus, 1179, check)
    call createCurrent(P_GMinus, P_t, P_bAnti, 594, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_A, 908, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WPlus, 65, check)
    call createCurrent(P_H, P_GPlus, P_A, P_WMinus, 495, check)
    call createCurrent(P_sAnti, P_s, P_Z, 88, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_H, 926, check)
    call createCurrent(P_H, P_Z, P_WPlus, P_GMinus, 52, check)
    call createCurrent(P_uAnti, P_A, P_u, 1035, check)
    call createCurrent(P_Z, P_g, P_A, P_g, 1152, check)
    call createCurrent(P_g, P_WMinus, P_WPlus, P_g, 1169, check)
    call createCurrent(P_G0, P_GPlus, P_Z, P_WMinus, 514, check)
    call createCurrent(P_t, P_tAnti, P_H, 698, check)
    call createCurrent(P_muPlus, P_nu_mu, P_WMinus, 846, check)
    call createCurrent(P_uAnti, P_WPlus, P_d, 678, check)
    call createCurrent(P_Z, P_A, P_GMinus, P_GPlus, 407, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, 1020, check)
    call createCurrent(P_A, P_GPlus, P_Z, P_GMinus, 544, check)
    call createCurrent(P_g, P_Z, P_Z, P_g, 1147, check)
    call createCurrent(P_Z, P_H, P_H, P_Z, 696, check)
    call createCurrent(P_G0, P_H, P_G0, 435, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, 977, check)
    call createCurrent(P_WPlus, P_A, P_Z, P_WMinus, 190, check)
    call createCurrent(P_G0, P_Z, P_A, P_G0, 1117, check)
    call createCurrent(P_H, P_Z, P_H, P_A, 1074, check)
    call createCurrent(P_uAnti, P_H, P_u, 849, check)
    call createCurrent(P_WMinus, P_GPlus, P_GMinus, P_WPlus, 204, check)
    call createCurrent(P_t, P_WMinus, P_bAnti, 743, check)
    call createCurrent(P_A, P_Z, P_WPlus, P_WMinus, 549, check)
    call createCurrent(P_GPlus, P_nu_muAnti, P_muMinus, 925, check)
    call createCurrent(P_A, P_H, P_WMinus, P_GPlus, 600, check)
    call createCurrent(P_g, P_g, P_A, P_g, 1175, check)
    call createCurrent(P_GMinus, P_Z, P_G0, P_WPlus, 582, check)
    call createCurrent(P_sAnti, P_c, P_GMinus, 313, check)
    call createCurrent(P_H, P_d, P_dAnti, 330, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_Z, 1000, check)
    call createCurrent(P_Z, P_Z, P_GMinus, P_GPlus, 211, check)
    call createCurrent(P_GMinus, P_nu_tau, P_tauPlus, 844, check)
    call createCurrent(P_WMinus, P_t, P_bAnti, 393, check)
    call createCurrent(P_g, P_g, P_A, P_Z, 1141, check)
    call createCurrent(P_c, P_cAnti, P_G0, 195, check)
    call createCurrent(P_muPlus, P_H, P_muMinus, 590, check)
    call createCurrent(P_GPlus, P_eMinus, P_nu_eAnti, 228, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, 21, check)
    call createCurrent(P_A, P_nu_eAnti, P_nu_e, 1131, check)
    call createCurrent(P_H, P_muMinus, P_muPlus, 764, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_G0, 852, check)
    call createCurrent(P_WMinus, P_Z, P_Z, P_WPlus, 372, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_H, 1017, check)
    call createCurrent(P_H, P_GMinus, P_H, P_GPlus, 756, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, 409, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, 223, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, 112, check)
    call createCurrent(P_Z, P_G0, P_Z, P_G0, 241, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, 522, check)
    call createCurrent(P_s, P_cAnti, P_GPlus, 580, check)
    call createCurrent(P_ePlus, P_nu_e, P_GMinus, 724, check)
    call createCurrent(P_g, P_g, 1122, check)
    call createCurrent(P_bAnti, P_A, P_b, 952, check)
    call createCurrent(P_GPlus, P_A, P_G0, P_WMinus, 460, check)
    call createCurrent(P_s, P_GPlus, P_cAnti, 124, check)
    call createCurrent(P_ghWmAnti, P_H, P_ghWm, 685, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, 416, check)
    call createCurrent(P_G0, P_t, P_tAnti, 231, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, 730, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, 840, check)
    call createCurrent(P_cAnti, P_c, P_G0, 114, check)
    call createCurrent(P_dAnti, P_d, P_g, 553, check)
    call createCurrent(P_Z, P_Z, P_H, 913, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_GPlus, 527, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_H, 923, check)
    call createCurrent(P_WMinus, P_G0, P_A, P_GPlus, 136, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, 866, check)
    call createCurrent(P_bAnti, P_g, P_b, 706, check)
    call createCurrent(P_b, P_Z, P_bAnti, 352, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, 168, check)
    call createCurrent(P_cAnti, P_WPlus, P_s, 348, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_A, 30, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, 625, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, 427, check)
    call createCurrent(P_u, P_uAnti, 1087, check)
    call createCurrent(P_G0, P_sAnti, P_s, 763, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_A, 192, check)
    call createCurrent(P_GPlus, P_s, P_cAnti, 173, check)
    call createCurrent(P_d, P_uAnti, P_WPlus, 847, check)
    call createCurrent(P_muMinus, P_H, P_muPlus, 672, check)
    call createCurrent(P_GMinus, P_GPlus, P_GMinus, P_GPlus, 692, check)
    call createCurrent(P_A, P_H, P_GPlus, P_WMinus, 357, check)
    call createCurrent(P_muPlus, P_muMinus, P_A, 227, check)
    call createCurrent(P_GPlus, P_WPlus, P_GMinus, P_WMinus, 113, check)
    call createCurrent(P_tauPlus, P_WMinus, P_nu_tau, 515, check)
    call createCurrent(P_Z, P_Z, 1064, check)
    call createCurrent(P_b, P_tAnti, P_WPlus, 497, check)
    call createCurrent(P_g, P_g, P_WPlus, P_WMinus, 1198, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, 272, check)
    call createCurrent(P_g, P_g, P_Z, P_Z, 1200, check)
    call createCurrent(P_uAnti, P_Z, P_u, 184, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, 193, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_Z, 150, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, 289, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_GMinus, 606, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WPlus, 1034, check)
    call createCurrent(P_g, P_uAnti, P_u, 725, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, 857, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_A, 253, check)
    call createCurrent(P_A, P_GPlus, P_H, P_WMinus, 40, check)
    call createCurrent(P_G0, P_s, P_sAnti, 279, check)
    call createCurrent(P_Z, P_H, P_Z, P_H, 125, check)
    call createCurrent(P_A, P_nu_mu, P_nu_muAnti, 1097, check)
    call createCurrent(P_H, P_A, P_WMinus, P_GPlus, 329, check)
    call createCurrent(P_g, P_Z, P_g, P_Z, 1180, check)
    call createCurrent(P_g, P_g, P_Z, P_g, 1163, check)
    call createCurrent(P_WMinus, P_WPlus, 1137, check)
    call createCurrent(P_Z, P_sAnti, P_s, 723, check)
    call createCurrent(P_nu_e, P_ePlus, P_WMinus, 135, check)
    call createCurrent(P_H, P_ghWmAnti, P_ghWm, 596, check)
    call createCurrent(P_nu_mu, P_GMinus, P_muPlus, 588, check)
    call createCurrent(P_H, P_eMinus, P_ePlus, 605, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_H, 178, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_H, 639, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, 209, check)
    call createCurrent(P_H, P_G0, P_Z, 858, check)
    call createCurrent(P_G0, P_Z, P_GMinus, P_WPlus, 110, check)
    call createCurrent(P_G0, P_WMinus, P_A, P_GPlus, 759, check)
    call createCurrent(P_GPlus, P_H, P_H, P_GMinus, 270, check)
    call createCurrent(P_G0, P_G0, P_Z, P_Z, 959, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, 906, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, 542, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_G0, 458, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, 260, check)
    call createCurrent(P_WMinus, P_GPlus, 1100, check)
    call createCurrent(P_G0, P_GMinus, P_A, P_WPlus, 917, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, 185, check)
    call createCurrent(P_Z, P_G0, P_G0, P_Z, 559, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_Z, 968, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, P_H, 500, check)
    call createCurrent(P_muPlus, P_Z, P_muMinus, 744, check)
    call createCurrent(P_WPlus, P_A, P_G0, P_GMinus, 989, check)
    call createCurrent(P_G0, P_G0, P_g, P_g, 1145, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_GPlus, 277, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, 841, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, 591, check)
    call createCurrent(P_H, P_H, P_GMinus, P_GPlus, 930, check)
    call createCurrent(P_GMinus, P_G0, P_A, P_WPlus, 712, check)
    call createCurrent(P_WPlus, P_WMinus, P_WPlus, P_WMinus, 654, check)
    call createCurrent(P_GMinus, P_ePlus, P_nu_e, 532, check)
    call createCurrent(P_tAnti, P_t, 1124, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, 222, check)
    call createCurrent(P_nu_tau, P_Z, P_nu_tauAnti, 761, check)
    call createCurrent(P_G0, P_d, P_dAnti, 701, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, 502, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_A, 336, check)
    call createCurrent(P_bAnti, P_G0, P_b, 310, check)
    call createCurrent(P_H, P_Z, P_A, P_H, 1082, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_A, 389, check)
    call createCurrent(P_nu_muAnti, P_Z, P_nu_mu, 66, check)
    call createCurrent(P_G0, P_G0, P_GMinus, P_GPlus, 280, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_A, 998, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_G0, 554, check)
    call createCurrent(P_H, P_Z, P_G0, 11, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_H, 8, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, 1024, check)
    call createCurrent(P_A, P_nu_e, P_nu_eAnti, 1096, check)
    call createCurrent(P_c, P_cAnti, P_H, 463, check)
    call createCurrent(P_bAnti, P_t, P_WMinus, 365, check)
    call createCurrent(P_GPlus, P_nu_eAnti, P_eMinus, 955, check)
    call createCurrent(P_Z, P_H, P_H, P_A, 1112, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_G0, 401, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, 991, check)
    call createCurrent(P_Z, P_cAnti, P_c, 790, check)
    call createCurrent(P_G0, P_Z, P_GPlus, P_WMinus, 615, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WPlus, 528, check)
    call createCurrent(P_muPlus, P_G0, P_muMinus, 450, check)
    call createCurrent(P_nu_eAnti, P_A, P_nu_e, 1113, check)
    call createCurrent(P_nu_tauAnti, P_WPlus, P_tauMinus, 302, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_A, 940, check)
    call createCurrent(P_bAnti, P_Z, P_b, 960, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_GMinus, 804, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_A, 986, check)
    call createCurrent(P_A, P_Z, P_G0, P_G0, 1061, check)
    call createCurrent(P_WPlus, P_eMinus, P_nu_eAnti, 453, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_A, 148, check)
    call createCurrent(P_WMinus, P_H, P_A, P_GPlus, 309, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_WMinus, 597, check)
    call createCurrent(P_G0, P_tauPlus, P_tauMinus, 255, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_H, 838, check)
    call createCurrent(P_cAnti, P_H, P_c, 704, check)
    call createCurrent(P_d, P_dAnti, P_A, 1010, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_GPlus, 102, check)
    call createCurrent(P_A, P_Z, 1091, check)
    call createCurrent(P_s, P_G0, P_sAnti, 129, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghWp, 585, check)
    call createCurrent(P_G0, P_G0, P_H, 775, check)
    call createCurrent(P_tauPlus, P_GMinus, P_nu_tau, 638, check)
    call createCurrent(P_u, P_H, P_uAnti, 589, check)
    call createCurrent(P_H, P_A, P_GPlus, P_WMinus, 537, check)
    call createCurrent(P_c, P_GMinus, P_sAnti, 210, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_Z, 974, check)
    call createCurrent(P_cAnti, P_c, P_A, 1022, check)
    call createCurrent(P_eMinus, P_ePlus, 1104, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, 783, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_Z, 818, check)
    call createCurrent(P_c, P_cAnti, 1048, check)
    call createCurrent(P_WPlus, P_s, P_cAnti, 745, check)
    call createCurrent(P_H, P_A, P_Z, 1118, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, 304, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, 67, check)
    call createCurrent(P_H, P_muPlus, P_muMinus, 229, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, 28, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, 362, check)
    call createCurrent(P_u, P_uAnti, P_G0, 368, check)
    call createCurrent(P_WPlus, P_WMinus, 1043, check)
    call createCurrent(P_tauMinus, P_G0, P_tauPlus, 234, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WMinus, 707, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_H, 292, check)
    call createCurrent(P_H, P_H, P_H, P_H, 249, check)
    call createCurrent(P_nu_tauAnti, P_A, P_nu_tau, 1128, check)
    call createCurrent(P_G0, P_GMinus, P_G0, P_GPlus, 741, check)
    call createCurrent(P_Z, P_g, P_g, P_g, 1197, check)
    call createCurrent(P_Z, P_nu_tauAnti, P_nu_tau, 434, check)
    call createCurrent(P_Z, P_tauPlus, P_tauMinus, 978, check)
    call createCurrent(P_Z, P_Z, P_H, P_H, 683, check)
    call createCurrent(P_g, P_GPlus, P_GMinus, P_g, 1202, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghWpAnti, 708, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghWp, 163, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_A, 1062, check)
    call createCurrent(P_GMinus, P_nu_e, P_ePlus, 77, check)
    call createCurrent(P_g, P_s, P_sAnti, 869, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_H, 23, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, 43, check)
    call createCurrent(P_A, P_A, P_GMinus, P_GPlus, 388, check)
    call createCurrent(P_eMinus, P_G0, P_ePlus, 22, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, 943, check)
    call createCurrent(P_b, P_bAnti, 1106, check)
    call createCurrent(P_H, P_ghWm, P_ghWmAnti, 939, check)
    call createCurrent(P_muPlus, P_A, P_muMinus, 232, check)
    call createCurrent(P_WMinus, P_A, P_G0, P_GPlus, 36, check)
    call createCurrent(P_tauMinus, P_tauPlus, 1067, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_A, 196, check)
    call createCurrent(P_GPlus, P_A, P_A, P_GMinus, 938, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_Z, 784, check)
    call createCurrent(P_WMinus, P_WPlus, P_WPlus, P_WMinus, 587, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, 263, check)
    call createCurrent(P_eMinus, P_GPlus, P_nu_eAnti, 833, check)
    call createCurrent(P_c, P_A, P_cAnti, 566, check)
    call createCurrent(P_GPlus, P_d, P_uAnti, 501, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, 410, check)
    call createCurrent(P_GPlus, P_Z, P_G0, P_WMinus, 687, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, 158, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_Z, 134, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, 267, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_A, 541, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_H, 154, check)
    call createCurrent(P_tauPlus, P_Z, P_tauMinus, 690, check)
    call createCurrent(P_d, P_G0, P_dAnti, 265, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, 802, check)
    call createCurrent(P_s, P_WPlus, P_cAnti, 337, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, 385, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_G0, 595, check)
    call createCurrent(P_A, P_H, P_A, 1219, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, 400, check)
    call createCurrent(P_WPlus, P_G0, P_G0, P_WMinus, 75, check)
    call createCurrent(P_A, P_G0, P_GPlus, P_WMinus, 57, check)
    call createCurrent(P_Z, P_A, P_WMinus, P_WPlus, 79, check)
    call createCurrent(P_Z, P_A, P_H, 1077, check)
    call createCurrent(P_bAnti, P_b, 1060, check)
    call createCurrent(P_g, P_g, P_g, 479, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, 621, check)
    call createCurrent(P_A, P_H, P_H, P_Z, 1134, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, 300, check)
    call createCurrent(P_G0, P_Z, P_WPlus, P_GMinus, 647, check)
    call createCurrent(P_G0, P_G0, P_WPlus, P_WMinus, 892, check)
    call createCurrent(P_g, P_WMinus, P_g, P_WPlus, 1153, check)
    call createCurrent(P_cAnti, P_GPlus, P_s, 296, check)
    call createCurrent(P_WMinus, P_ePlus, P_nu_e, 631, check)
    call createCurrent(P_Z, P_H, P_Z, 617, check)
    call createCurrent(P_tAnti, P_G0, P_t, 633, check)
    call createCurrent(P_A, P_tAnti, P_t, 972, check)
    call createCurrent(P_GPlus, P_A, P_H, P_WMinus, 861, check)
    call createCurrent(P_t, P_G0, P_tAnti, 459, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, 149, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_A, 848, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GMinus, 377, check)
    call createCurrent(P_s, P_H, P_sAnti, 104, check)
    call createCurrent(P_t, P_tAnti, P_Z, 107, check)
    call createCurrent(P_Z, P_A, P_g, P_g, 1178, check)
    call createCurrent(P_GPlus, P_uAnti, P_d, 629, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, 798, check)
    call createCurrent(P_tAnti, P_Z, P_t, 777, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, 626, check)
    call createCurrent(P_WMinus, P_u, P_dAnti, 176, check)
    call createCurrent(P_H, P_WPlus, P_A, P_GMinus, 662, check)
    call createCurrent(P_G0, P_GMinus, P_Z, P_WPlus, 651, check)
    call createCurrent(P_G0, P_Z, P_Z, P_G0, 722, check)
    call createCurrent(P_Z, P_d, P_dAnti, 439, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_G0, 172, check)
    call createCurrent(P_u, P_uAnti, P_A, 456, check)
    call createCurrent(P_d, P_dAnti, P_H, 93, check)
    call createCurrent(P_Z, P_WMinus, P_H, P_GPlus, 854, check)
    call createCurrent(P_Z, P_GMinus, P_H, P_WPlus, 711, check)
    call createCurrent(P_Z, P_nu_e, P_nu_eAnti, 963, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Z, 446, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_G0, 891, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, 671, check)
    call createCurrent(P_b, P_bAnti, P_g, 691, check)
    call createCurrent(P_A, P_muMinus, P_muPlus, 27, check)
    call createCurrent(P_A, P_Z, P_WMinus, P_WPlus, 464, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_Z, 903, check)
    call createCurrent(P_bAnti, P_t, P_GMinus, 466, check)
    call createCurrent(P_GMinus, P_WMinus, P_GPlus, P_WPlus, 868, check)
    call createCurrent(P_GMinus, P_GPlus, P_g, P_g, 1203, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, 482, check)
    call createCurrent(P_uAnti, P_g, P_u, 902, check)
    call createCurrent(P_nu_mu, P_WMinus, P_muPlus, 76, check)
    call createCurrent(P_A, P_s, P_sAnti, 510, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, 447, check)
    call createCurrent(P_b, P_A, P_bAnti, 295, check)
    call createCurrent(P_H, P_sAnti, P_s, 864, check)
    call createCurrent(P_G0, P_WPlus, P_G0, P_WMinus, 603, check)
    call createCurrent(P_GMinus, P_c, P_sAnti, 15, check)
    call createCurrent(P_H, P_ePlus, P_eMinus, 322, check)
    call createCurrent(P_WPlus, P_H, P_Z, P_GMinus, 14, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, 382, check)
    call createCurrent(P_g, P_A, P_g, P_g, 1165, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WPlus, 145, check)
    call createCurrent(P_A, P_A, P_WMinus, P_WPlus, 454, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, 645, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_Z, 89, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_H, 771, check)
    call createCurrent(P_A, P_WMinus, P_Z, P_WPlus, 360, check)
    call createCurrent(P_A, P_H, P_Z, 1065, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, P_H, 965, check)
    call createCurrent(P_tAnti, P_t, P_Z, 311, check)
    call createCurrent(P_A, P_H, P_WPlus, P_GMinus, 369, check)
    call createCurrent(P_ePlus, P_Z, P_eMinus, 405, check)
    call createCurrent(P_WPlus, P_WMinus, P_GPlus, P_GMinus, 657, check)
    call createCurrent(P_g, P_t, P_tAnti, 1174, check)
    call createCurrent(P_G0, P_Z, P_G0, P_Z, 146, check)
    call createCurrent(P_H, P_tAnti, P_t, 1023, check)
    call createCurrent(P_g, P_A, P_A, P_g, 1161, check)
    call createCurrent(P_cAnti, P_s, P_WPlus, 915, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, 935, check)
    call createCurrent(P_WPlus, P_g, P_g, P_WMinus, 1167, check)
    call createCurrent(P_sAnti, P_Z, P_s, 969, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, 950, check)
    call createCurrent(P_GPlus, P_muMinus, P_nu_muAnti, 181, check)
    call createCurrent(P_A, P_Z, P_H, 1052, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WPlus, 1166, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, 851, check)
    call createCurrent(P_GMinus, P_WPlus, 1046, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_A, 912, check)
    call createCurrent(P_G0, P_H, P_G0, P_H, 426, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, 275, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, 5, check)
    call createCurrent(P_A, P_WPlus, P_H, P_GMinus, 261, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, 878, check)
    call createCurrent(P_nu_e, P_Z, P_nu_eAnti, 694, check)
    call createCurrent(P_Z, P_muMinus, P_muPlus, 351, check)
    call createCurrent(P_c, P_cAnti, P_g, 985, check)
    call createCurrent(P_dAnti, P_d, P_A, 491, check)
    call createCurrent(P_G0, P_GPlus, P_G0, P_GMinus, 598, check)
    call createCurrent(P_dAnti, P_u, P_WMinus, 845, check)
    call createCurrent(P_uAnti, P_d, P_GPlus, 774, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_A, 69, check)
    call createCurrent(P_s, P_sAnti, P_G0, 244, check)
    call createCurrent(P_GPlus, P_H, P_Z, P_WMinus, 137, check)
    call createCurrent(P_g, P_g, P_GPlus, P_GMinus, 1215, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, 442, check)
    call createCurrent(P_GMinus, P_H, P_Z, P_WPlus, 397, check)
    call createCurrent(P_g, P_c, P_cAnti, 911, check)
    call createCurrent(P_g, P_sAnti, P_s, 964, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_Z, 976, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_A, 949, check)
    call createCurrent(P_t, P_bAnti, P_WMinus, 424, check)
    call createCurrent(P_ePlus, P_GMinus, P_nu_e, 18, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_A, 1121, check)
    call createCurrent(P_dAnti, P_d, P_H, 366, check)
    call createCurrent(P_dAnti, P_A, P_d, 461, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, 207, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_Z, 957, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GPlus, 402, check)
    call createCurrent(P_A, P_t, P_tAnti, 91, check)
    call createCurrent(P_G0, P_tAnti, P_t, 297, check)
    call createCurrent(P_muPlus, P_WMinus, P_nu_mu, 862, check)
    call createCurrent(P_H, P_GMinus, P_A, P_WPlus, 374, check)
    call createCurrent(P_nu_muAnti, P_WPlus, P_muMinus, 320, check)
    call createCurrent(P_nu_tau, P_GMinus, P_tauPlus, 353, check)
    call createCurrent(P_Z, P_tAnti, P_t, 444, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_Z, 29, check)
    call createCurrent(P_g, P_b, P_bAnti, 766, check)
    call createCurrent(P_A, P_b, P_bAnti, 417, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghA, 697, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, 709, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, 225, check)
    call createCurrent(P_G0, P_G0, P_Z, P_A, 1068, check)
    call createCurrent(P_tauMinus, P_GPlus, P_nu_tauAnti, 937, check)
    call createCurrent(P_Z, P_s, P_sAnti, 284, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_Z, 344, check)
    call createCurrent(P_Z, P_t, P_tAnti, 199, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, 414, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_A, 508, check)
    call createCurrent(P_nu_e, P_ePlus, P_GMinus, 301, check)
    call createCurrent(P_GPlus, P_GMinus, P_GPlus, P_GMinus, 859, check)
    call createCurrent(P_c, P_H, P_cAnti, 667, check)
    call createCurrent(P_GPlus, P_WMinus, 1072, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_G0, 750, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_G0, 9, check)
    call createCurrent(P_Z, P_GPlus, P_Z, P_GMinus, 558, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_A, 620, check)
    call createCurrent(P_sAnti, P_s, P_g, 208, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_H, 1009, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_H, 411, check)
    call createCurrent(P_WPlus, P_d, P_uAnti, 469, check)
    call createCurrent(P_tAnti, P_b, P_GPlus, 556, check)
    call createCurrent(P_g, P_g, P_g, P_A, 1211, check)
    call createCurrent(P_u, P_dAnti, P_GMinus, 58, check)
    call createCurrent(P_WPlus, P_WPlus, P_WMinus, P_WMinus, 50, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, 655, check)
    call createCurrent(P_A, P_WPlus, P_G0, P_GMinus, 380, check)
    call createCurrent(P_H, P_GPlus, P_H, P_GMinus, 188, check)
    call createCurrent(P_g, P_Z, P_A, P_g, 1184, check)
    call createCurrent(P_A, P_nu_tauAnti, P_nu_tau, 1071, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_H, 819, check)
    call createCurrent(P_A, P_WPlus, P_A, P_WMinus, 384, check)
    call createCurrent(P_ePlus, P_eMinus, P_H, 226, check)
    call createCurrent(P_g, P_G0, P_g, P_G0, 1177, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GMinus, 901, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, 816, check)
    call createCurrent(P_b, P_g, P_bAnti, 106, check)
    call createCurrent(P_tAnti, P_t, P_g, 1164, check)
    call createCurrent(P_H, P_WPlus, P_Z, P_GMinus, 905, check)
    call createCurrent(P_WPlus, P_WMinus, P_WMinus, P_WPlus, 194, check)
    call createCurrent(P_d, P_H, P_dAnti, 219, check)
    call createCurrent(P_dAnti, P_WMinus, P_u, 1008, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, P_H, 503, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, 875, check)
    call createCurrent(P_Z, P_H, P_A, 1058, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_Z, 1001, check)
    call createCurrent(P_ePlus, P_G0, P_eMinus, 243, check)
    call createCurrent(P_WMinus, P_WPlus, P_GPlus, P_GMinus, 140, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, 419, check)
    call createCurrent(P_G0, P_A, P_G0, P_Z, 1053, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, 343, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_H, 552, check)
    call createCurrent(P_Z, P_WMinus, P_A, P_WPlus, 593, check)
    call createCurrent(P_H, P_H, P_g, P_g, 1182, check)
    call createCurrent(P_WPlus, P_muMinus, P_nu_muAnti, 753, check)
    call createCurrent(P_sAnti, P_c, P_WMinus, 936, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, 131, check)
    call createCurrent(P_sAnti, P_s, P_G0, 995, check)
    call createCurrent(P_WMinus, P_tauPlus, P_nu_tau, 160, check)
    call createCurrent(P_H, P_Z, P_GPlus, P_WMinus, 865, check)
    call createCurrent(P_WPlus, P_nu_tauAnti, P_tauMinus, 860, check)
    call createCurrent(P_A, P_GMinus, P_H, P_WPlus, 305, check)
    call createCurrent(P_g, P_d, P_dAnti, 699, check)
    call createCurrent(P_A, P_WMinus, P_G0, P_GPlus, 970, check)
    call createCurrent(P_GMinus, P_WPlus, P_GPlus, P_WMinus, 164, check)
    call createCurrent(P_eMinus, P_ePlus, P_G0, 165, check)
    call createCurrent(P_u, P_G0, P_uAnti, 206, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_G0, 294, check)
    call createCurrent(P_nu_eAnti, P_Z, P_nu_e, 576, check)
    call createCurrent(P_G0, P_G0, 1126, check)
    call createCurrent(P_H, P_bAnti, P_b, 821, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, 35, check)
    call createCurrent(P_GPlus, P_WMinus, P_WPlus, P_GMinus, 1003, check)
    call createCurrent(P_WMinus, P_bAnti, P_t, 1039, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_A, 673, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, 748, check)
    call createCurrent(P_uAnti, P_u, P_Z, 375, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_G0, 118, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, 10, check)
    call createCurrent(P_dAnti, P_G0, P_d, 890, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, 191, check)
    call createCurrent(P_H, P_t, P_tAnti, 721, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, 599, check)
    call createCurrent(P_muMinus, P_GPlus, P_nu_muAnti, 894, check)
    call createCurrent(P_GPlus, P_Z, P_H, P_WMinus, 490, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, 183, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, 517, check)
    call createCurrent(P_WPlus, P_GPlus, P_WMinus, P_GMinus, 386, check)
    call createCurrent(P_Z, P_G0, P_GMinus, P_WPlus, 276, check)
    call createCurrent(P_A, P_GPlus, P_A, P_GMinus, 971, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, 684, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_A, 803, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, 0, check)
    call createCurrent(P_GMinus, P_H, P_H, P_GPlus, 481, check)
    call createCurrent(P_eMinus, P_ePlus, P_A, 555, check)
    call createCurrent(P_nu_mu, P_Z, P_nu_muAnti, 236, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_H, 1019, check)
    call createCurrent(P_sAnti, P_GMinus, P_c, 1, check)
    call createCurrent(P_H, P_u, P_uAnti, 476, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, 250, check)
    call createCurrent(P_GMinus, P_GPlus, P_GPlus, P_GMinus, 331, check)
    call createCurrent(P_GPlus, P_cAnti, P_s, 628, check)
    call createCurrent(P_H, P_dAnti, P_d, 1025, check)
    call createCurrent(P_u, P_WMinus, P_dAnti, 449, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_G0, 431, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, 437, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, 49, check)
    call createCurrent(P_H, P_A, P_G0, 1051, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, 785, check)
    call createCurrent(P_GMinus, P_g, P_g, P_GPlus, 1171, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_GPlus, 737, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_H, 408, check)
    call createCurrent(P_H, P_s, P_sAnti, 564, check)
    call createCurrent(P_muPlus, P_muMinus, P_Z, 433, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, 6, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, 511, check)
    call createCurrent(P_H, P_Z, P_WMinus, P_GPlus, 478, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, 796, check)
    call createCurrent(P_Z, P_GMinus, P_Z, P_GPlus, 1036, check)
    call createCurrent(P_nu_eAnti, P_GPlus, P_eMinus, 670, check)
    call createCurrent(P_Z, P_H, P_GMinus, P_WPlus, 161, check)
    call createCurrent(P_tauMinus, P_Z, P_tauPlus, 153, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, 713, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, 13, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, P_G0, 786, check)
    call createCurrent(P_H, P_ghZ, P_ghZAnti, 155, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, 492, check)
    call createCurrent(P_g, P_dAnti, P_d, 695, check)
    call createCurrent(P_d, P_dAnti, P_G0, 871, check)
    call createCurrent(P_WPlus, P_nu_eAnti, P_eMinus, 996, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_GPlus, 318, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_H, 448, check)
    call createCurrent(P_bAnti, P_b, P_H, 48, check)
    call createCurrent(P_eMinus, P_ePlus, P_H, 516, check)
    call createCurrent(P_d, P_Z, P_dAnti, 120, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_H, 700, check)
    call createCurrent(P_t, P_tAnti, P_g, 1162, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, 586, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_Z, 870, check)
    call createCurrent(P_g, P_bAnti, P_b, 334, check)
    call createCurrent(P_Z, P_Z, P_WMinus, P_WPlus, 308, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, 661, check)
    call createCurrent(P_G0, P_G0, P_A, P_Z, 1059, check)
    call createCurrent(P_b, P_bAnti, P_H, 383, check)
    call createCurrent(P_t, P_A, P_tAnti, 259, check)
    call createCurrent(P_ePlus, P_eMinus, 1089, check)
    call createCurrent(P_H, P_WMinus, P_Z, P_GPlus, 1037, check)
    call createCurrent(P_A, P_g, P_g, P_Z, 1196, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_A, 962, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_Z, 933, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, 474, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, 103, check)
    call createCurrent(P_G0, P_Z, P_H, 634, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, 607, check)
    call createCurrent(P_g, P_Z, P_g, P_A, 1209, check)
    call createCurrent(P_A, P_A, P_g, P_g, 1156, check)
    call createCurrent(P_cAnti, P_c, P_Z, 710, check)
    call createCurrent(P_WMinus, P_muPlus, P_nu_mu, 831, check)
    call createCurrent(P_u, P_GMinus, P_dAnti, 842, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_Z, 806, check)
    call createCurrent(P_Z, P_A, 1116, check)
    call createCurrent(P_GMinus, P_sAnti, P_c, 719, check)
    call createCurrent(P_ghZ, P_H, P_ghZAnti, 496, check)
    call createCurrent(P_Z, P_eMinus, P_ePlus, 975, check)
    call createCurrent(P_A, P_GPlus, P_G0, P_WMinus, 815, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, 562, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, 262, check)
    call createCurrent(P_WPlus, P_Z, P_Z, P_WMinus, 896, check)
    call createCurrent(P_A, P_tauMinus, P_tauPlus, 983, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_G0, 592, check)
    call createCurrent(P_WMinus, P_sAnti, P_c, 958, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WPlus, 256, check)
    call createCurrent(P_bAnti, P_WMinus, P_t, 533, check)
    call createCurrent(P_g, P_Z, P_g, P_g, 1172, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, 581, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_Z, 451, check)
    call createCurrent(P_Z, P_WPlus, P_G0, P_GMinus, 266, check)
    call createCurrent(P_muPlus, P_GMinus, P_nu_mu, 578, check)
    call createCurrent(P_G0, P_H, P_H, P_G0, 828, check)
    call createCurrent(P_bAnti, P_b, P_A, 436, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, 521, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_G0, 529, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, 138, check)
    call createCurrent(P_A, P_tauPlus, P_tauMinus, 37, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, 406, check)
    call createCurrent(P_muMinus, P_muPlus, 1101, check)
    call createCurrent(P_A, P_G0, P_GMinus, P_WPlus, 166, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_GMinus, 899, check)
    call createCurrent(P_Z, P_A, P_WPlus, P_WMinus, 97, check)
    call createCurrent(P_H, P_WMinus, P_A, P_GPlus, 601, check)
    call createCurrent(P_GMinus, P_muPlus, P_nu_mu, 325, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_A, 132, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_G0, 680, check)
    call createCurrent(P_Z, P_nu_eAnti, P_nu_e, 17, check)
    call createCurrent(P_Z, P_GPlus, P_G0, P_WMinus, 682, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, 412, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_G0, 332, check)
    call createCurrent(P_b, P_bAnti, P_Z, 613, check)
    call createCurrent(P_G0, P_muPlus, P_muMinus, 829, check)
    call createCurrent(P_GPlus, P_nu_tauAnti, P_tauMinus, 726, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, 122, check)
    call createCurrent(P_GMinus, P_A, P_G0, P_WPlus, 399, check)
    call createCurrent(P_Z, P_Z, P_G0, P_G0, 948, check)
    call createCurrent(P_H, P_H, P_WPlus, P_WMinus, 954, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, 328, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, 245, check)
    call createCurrent(P_G0, P_tauMinus, P_tauPlus, 203, check)
    call createCurrent(P_eMinus, P_H, P_ePlus, 653, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, 80, check)
    call createCurrent(P_g, P_ghG, P_ghGAnti, 504, check)
    call createCurrent(P_A, P_H, P_Z, P_H, 1078, check)
    call createCurrent(P_g, P_H, P_g, P_H, 1189, check)
    call createCurrent(P_H, P_b, P_bAnti, 530, check)
    call createCurrent(P_b, P_GPlus, P_tAnti, 640, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_Z, 25, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, 945, check)
    call createCurrent(P_Z, P_A, P_H, P_H, 1047, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_Z, 751, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Z, 355, check)
    call createCurrent(P_A, P_A, 1063, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 914, check)
    call createCurrent(P_H, P_WPlus, P_H, P_WMinus, 187, check)
    call createCurrent(P_Z, P_H, P_G0, 32, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_Z, 652, check)
    call createCurrent(P_muMinus, P_muPlus, P_Z, 526, check)
    call createCurrent(P_eMinus, P_Z, P_ePlus, 347, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, 99, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, 979, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, 1098, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_G0, 778, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, 676, check)
    call createCurrent(P_g, P_g, P_GMinus, P_GPlus, 1146, check)
    call createCurrent(P_WPlus, P_cAnti, P_s, 507, check)
    call createCurrent(P_Z, P_muPlus, P_muMinus, 569, check)
    call createCurrent(P_GPlus, P_g, P_GMinus, P_g, 1183, check)
    call createCurrent(P_WMinus, P_nu_tau, P_tauPlus, 843, check)
    call createCurrent(P_cAnti, P_c, P_H, 338, check)
    call createCurrent(P_WMinus, P_A, P_Z, P_WPlus, 324, check)
    call createCurrent(P_tAnti, P_t, P_G0, 758, check)
    call createCurrent(P_A, P_WMinus, P_H, P_GPlus, 306, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghWm, 656, check)
    call createCurrent(P_s, P_sAnti, P_g, 1016, check)
    call createCurrent(P_b, P_WPlus, P_tAnti, 738, check)
    call createCurrent(P_tAnti, P_g, P_t, 1160, check)
    call createCurrent(P_cAnti, P_G0, P_c, 177, check)
    call createCurrent(P_Z, P_G0, P_WMinus, P_GPlus, 611, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, 1038, check)
    call createCurrent(P_WPlus, P_ghA, P_ghWpAnti, 288, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_A, 117, check)
    call createCurrent(P_H, P_A, P_WPlus, P_GMinus, 768, check)
    call createCurrent(P_GPlus, P_WMinus, P_GMinus, P_WPlus, 747, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, 781, check)
    call createCurrent(P_WMinus, P_WMinus, P_WPlus, P_WPlus, 477, check)
    call createCurrent(P_u, P_uAnti, P_g, 630, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WPlus, 703, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_A, 1044, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, 622, check)
    call createCurrent(P_GPlus, P_H, P_A, P_WMinus, 717, check)
    call createCurrent(P_A, P_Z, P_GPlus, P_GMinus, 443, check)
    call createCurrent(P_t, P_bAnti, P_GMinus, 404, check)
    call createCurrent(P_t, P_g, P_tAnti, 1144, check)
    call createCurrent(P_Z, P_G0, 1093, check)
    call createCurrent(P_GMinus, P_A, P_A, P_GPlus, 740, check)
    call createCurrent(P_GPlus, P_g, P_g, P_GMinus, 1193, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_H, 63, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_GPlus, 430, check)
    call createCurrent(P_tauPlus, P_H, P_tauMinus, 546, check)
    call createCurrent(P_tauMinus, P_A, P_tauPlus, 98, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_GPlus, 773, check)
    call createCurrent(P_G0, P_b, P_bAnti, 987, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, 660, check)
    call createCurrent(P_GPlus, P_GMinus, P_GMinus, P_GPlus, 789, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_Z, 333, check)
    call createCurrent(P_A, P_G0, P_WMinus, P_GPlus, 732, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, 812, check)
    call createCurrent(P_WPlus, P_GMinus, 1086, check)
    call createCurrent(P_b, P_H, P_bAnti, 927, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, P_H, 139, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_G0, 418, check)
    call createCurrent(P_u, P_g, P_uAnti, 141, check)
    call createCurrent(P_GPlus, P_G0, P_Z, P_WMinus, 642, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, 1014, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_Z, 918, check)
    call createCurrent(P_g, P_g, P_Z, P_A, 1199, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_Z, 538, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_GMinus, 415, check)
    call createCurrent(P_H, P_A, P_A, 1191, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, 550, check)
    call createCurrent(P_G0, P_A, 1111, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_H, 81, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_Z, 123, check)
    call createCurrent(P_d, P_GPlus, P_uAnti, 387, check)
    call createCurrent(P_nu_tauAnti, P_GPlus, P_tauMinus, 1040, check)
    call createCurrent(P_A, P_WPlus, P_Z, P_WMinus, 95, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_Z, 928, check)
    call createCurrent(P_ePlus, P_eMinus, P_A, 83, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_GMinus, 997, check)
    call createCurrent(P_G0, P_ePlus, P_eMinus, 307, check)
    call createCurrent(P_g, P_GMinus, P_g, P_GPlus, 1212, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, 1033, check)
    call createCurrent(P_G0, P_G0, P_H, P_H, 391, check)
    call createCurrent(P_nu_e, P_nu_eAnti, 1127, check)
    call createCurrent(P_H, P_c, P_cAnti, 561, check)
    call createCurrent(P_tAnti, P_A, P_t, 1027, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_Z, 855, check)
    call createCurrent(P_Z, P_G0, P_A, P_G0, 1138, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghWm, 994, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WMinus, 218, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_Z, 856, check)
    call createCurrent(P_g, P_G0, P_G0, P_g, 1186, check)
    call createCurrent(P_c, P_WMinus, P_sAnti, 198, check)
    call createCurrent(P_u, P_Z, P_uAnti, 519, check)
    call createCurrent(P_ghZAnti, P_H, P_ghZ, 715, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_H, 612, check)
    call createCurrent(P_g, P_GPlus, P_g, P_GMinus, 1194, check)
    call createCurrent(P_H, P_Z, P_A, 1107, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, 47, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_A, 326, check)
    call createCurrent(P_nu_muAnti, P_A, P_nu_mu, 1073, check)
    call createCurrent(P_s, P_sAnti, P_A, 573, check)
    call createCurrent(P_g, P_g, P_A, P_A, 1176, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_GPlus, 111, check)
    call createCurrent(P_H, P_ghWp, P_ghWpAnti, 659, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, 420, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_GPlus, 716, check)
  end subroutine fill_current_1
end module currents_info1
