!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-02 00:09             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_3308) = (4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) - 4d0* &
                      Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) + 4d0*Nc*   &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) + 4d0*Nc*coupl(&
                      nGC_23)*coupl(nGC_73)*coupl(nGC_75) - 4d0*Nc*coupl(nGC_23&
                      )*coupl(nGC_77)*coupl(nGC_79) - 4d0*Nc*coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_1066)*coupl(     &
                      nGC_40)*coupl(nGC_560) + coupl(nGC_1070)*coupl(nGC_22)** &
                      2d0 + coupl(nGC_1070)*coupl(nGC_610)**2d0 - 6d0*coupl(   &
                      nGC_192)*coupl(nGC_21)*coupl(nGC_274) - 6d0*coupl(nGC_21 &
                      )*coupl(nGC_266)*coupl(nGC_364) + 4d0*coupl(nGC_23)*coupl&
                      (nGC_65)*coupl(nGC_67) + 4d0*coupl(nGC_23)*coupl(nGC_69)*&
                      coupl(nGC_71) + 4d0*coupl(nGC_23)*coupl(nGC_81)*coupl(   &
                      nGC_83) - 6d0*coupl(nGC_25)*coupl(nGC_37)*coupl(nGC_560  &
                      ))/(96d0*pi**2d0)
    coupl(nGC_6029) = coupl(nGC_3508) + coupl(nGC_50)*dZH/2d0 + coupl(nGC_50)* &
                      dZWMinus
    coupl(nGC_4923) = coupl(nGC_26)*dZA/2d0 + coupl(nGC_26)*dZWMinus/2d0 +     &
                      coupl(nGC_3505) + coupl(nGC_7)*dZZA/2d0
    coupl(nGC_3329) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_64) - coupl(nGC_1066)*  &
                      coupl(nGC_34)*coupl(nGC_63) - coupl(nGC_22)*coupl(nGC_23 &
                      )*coupl(nGC_61) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_64) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_63) -    &
                      coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_62 &
                      )*coupl(nGC_63)**2d0 - coupl(nGC_62)*coupl(nGC_64)**2d0  &
                      )/(32d0*pi**2d0)
    coupl(nGC_4925) = coupl(nGC_MI)*dZWMinus
    coupl(nGC_3598) = coupl(nGC_3210)*dyup_QED1_QCD2
    coupl(nGC_4929) = -coupl(nGC_4925)
    coupl(nGC_4928) = coupl(nGC_3623) + coupl(nGC_MW)*dZWMinus
    coupl(nGC_3320) = (-4d0*Nc*coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_55) + 4d0*&
                      Nc*coupl(nGC_34)*coupl(nGC_55)*coupl(nGC_56) - 4d0*Nc*   &
                      coupl(nGC_34)*coupl(nGC_62)*coupl(nGC_63) + 4d0*Nc*coupl(&
                      nGC_34)*coupl(nGC_63)*coupl(nGC_64) - 4d0*Nc*coupl(nGC_34&
                      )*coupl(nGC_74)*coupl(nGC_75) + 4d0*Nc*coupl(nGC_34)*    &
                      coupl(nGC_75)*coupl(nGC_76) + 4d0*Nc*coupl(nGC_35)*coupl(&
                      nGC_58)*coupl(nGC_59) - 4d0*Nc*coupl(nGC_35)*coupl(nGC_59&
                      )*coupl(nGC_60) + 4d0*Nc*coupl(nGC_35)*coupl(nGC_78)*    &
                      coupl(nGC_79) - 4d0*Nc*coupl(nGC_35)*coupl(nGC_79)*coupl(&
                      nGC_80) + 4d0*Nc*coupl(nGC_35)*coupl(nGC_86)*coupl(nGC_87&
                      ) - 4d0*Nc*coupl(nGC_35)*coupl(nGC_87)*coupl(nGC_88) +   &
                      4d0*Nc*coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_55) - 4d0*Nc&
                      *coupl(nGC_38)*coupl(nGC_55)*coupl(nGC_56) + 4d0*Nc*coupl&
                      (nGC_38)*coupl(nGC_62)*coupl(nGC_63) - 4d0*Nc*coupl(     &
                      nGC_38)*coupl(nGC_63)*coupl(nGC_64) + 4d0*Nc*coupl(nGC_38&
                      )*coupl(nGC_74)*coupl(nGC_75) - 4d0*Nc*coupl(nGC_38)*    &
                      coupl(nGC_75)*coupl(nGC_76) - 4d0*Nc*coupl(nGC_39)*coupl(&
                      nGC_58)*coupl(nGC_59) + 4d0*Nc*coupl(nGC_39)*coupl(nGC_59&
                      )*coupl(nGC_60) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_78)*    &
                      coupl(nGC_79) + 4d0*Nc*coupl(nGC_39)*coupl(nGC_79)*coupl(&
                      nGC_80) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_86)*coupl(nGC_87&
                      ) + 4d0*Nc*coupl(nGC_39)*coupl(nGC_87)*coupl(nGC_88) +   &
                      coupl(nGC_1066)**3d0 + coupl(nGC_1070)*coupl(nGC_40)*    &
                      coupl(nGC_560) - 6d0*coupl(nGC_20)*coupl(nGC_22)*coupl(  &
                      nGC_364) - 6d0*coupl(nGC_21)*coupl(nGC_22)*coupl(nGC_25  &
                      ) + coupl(nGC_266)*coupl(nGC_560)*coupl(nGC_610) - 4d0*  &
                      coupl(nGC_36)*coupl(nGC_66)*coupl(nGC_67) + 4d0*coupl(   &
                      nGC_36)*coupl(nGC_67)*coupl(nGC_68) - 4d0*coupl(nGC_36)* &
                      coupl(nGC_70)*coupl(nGC_71) + 4d0*coupl(nGC_36)*coupl(   &
                      nGC_71)*coupl(nGC_72) - 4d0*coupl(nGC_36)*coupl(nGC_82)* &
                      coupl(nGC_83) + 4d0*coupl(nGC_36)*coupl(nGC_83)*coupl(   &
                      nGC_84) + 4d0*coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_67   &
                      ) - 4d0*coupl(nGC_40)*coupl(nGC_67)*coupl(nGC_68) + 4d0* &
                      coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_71) - 4d0*coupl(   &
                      nGC_40)*coupl(nGC_71)*coupl(nGC_72) + 4d0*coupl(nGC_40)* &
                      coupl(nGC_82)*coupl(nGC_83) - 4d0*coupl(nGC_40)*coupl(   &
                      nGC_83)*coupl(nGC_84))/(96d0*pi**2d0)
    coupl(nGC_4908) = coupl(nGC_2)*dZA/2d0 + coupl(nGC_3519)
    coupl(nGC_3327) = (-coupl(nGC_1066)*coupl(nGC_39)*coupl(nGC_59) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_60) - coupl(nGC_23)*coupl(nGC_560 &
                      )*coupl(nGC_57) - coupl(nGC_35)*coupl(nGC_37)*coupl(     &
                      nGC_59) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_60   &
                      ) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_76) - coupl(   &
                      nGC_58)*coupl(nGC_59)**2d0 - coupl(nGC_58)*coupl(nGC_60  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3325) = (-coupl(nGC_1066)*coupl(nGC_35)*coupl(nGC_59) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_58) - coupl(nGC_22)*coupl(nGC_23)*&
                      coupl(nGC_57) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(   &
                      nGC_58) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_59) -    &
                      coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_74) - coupl(nGC_58 &
                      )**2d0*coupl(nGC_60) - coupl(nGC_59)**2d0*coupl(nGC_60   &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3450) = cima*coupl(nGC_11)**2d0*sq2**2d0*(3d0*coupl(nGC_34)**2d0 &
                       + 2d0*coupl(nGC_35)**2d0 + 3d0*coupl(nGC_38)**2d0 + 2d0*&
                      coupl(nGC_39)**2d0)/(96d0*pi**2d0)
    coupl(nGC_3451) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-3d0*coupl(nGC_34)**2d0&
                       - 2d0*coupl(nGC_35)**2d0 - 3d0*coupl(nGC_38)**2d0 - 2d0*&
                      coupl(nGC_39)**2d0)/(96d0*pi**2d0*Nc)
    coupl(nGC_3454) = cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_1) + 2d0*&
                      coupl(nGC_2))/(48d0*pi**2d0*Nc**2d0)
    coupl(nGC_3455) = cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_34) + 2d0&
                      *coupl(nGC_35) + 3d0*coupl(nGC_38) + 2d0*coupl(nGC_39))/(&
                      384d0*pi**2d0)
    coupl(nGC_3457) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-3d0*coupl(nGC_34) -   &
                      2d0*coupl(nGC_35) - 3d0*coupl(nGC_38) - 2d0*coupl(nGC_39 &
                      ))/(192d0*pi**2d0*Nc)
    coupl(nGC_5408) = coupl(nGC_17)*dZH + coupl(nGC_17)*dZWMinus + coupl(      &
                      nGC_3507)
    coupl(nGC_9840) = -coupl(nGC_3320)
    coupl(nGC_9846) = coupl(nGC_3441)/5d0
    coupl(nGC_3513) = coupl(nGC_3076)*dZee + coupl(nGC_3077)*dcw_
    coupl(nGC_3515) = coupl(nGC_3074)*dZee + coupl(nGC_3075)*dcw_
    coupl(nGC_3516) = coupl(nGC_3171)*dZee + coupl(nGC_3172)*dsw_ + coupl(     &
                      nGC_3173)*dcw_
    coupl(nGC_5171) = coupl(nGC_38)*dZbL_QED2
    coupl(nGC_5070) = coupl(nGC_3485) + coupl(nGC_4)*dZWMinus/2d0
    coupl(nGC_5071) = -coupl(nGC_5070)
    coupl(nGC_5077) = coupl(nGC_29)*dZA/2d0 + coupl(nGC_29)*dZWMinus + coupl(  &
                      nGC_29)*dZZ/2d0 + coupl(nGC_3483)
    coupl(nGC_3216) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_54)*coupl(nGC_56) - 8d0*&
                      Nc*cMC**2d0*cima*coupl(nGC_58)*coupl(nGC_60) - 8d0*Nc*cMD&
                      **2d0*cima*coupl(nGC_62)*coupl(nGC_64) - 8d0*Nc*cMS**2d0*&
                      cima*coupl(nGC_74)*coupl(nGC_76) - 8d0*Nc*cMT**2d0*cima* &
                      coupl(nGC_78)*coupl(nGC_80) - 8d0*Nc*cMU**2d0*cima*coupl(&
                      nGC_86)*coupl(nGC_88) - 8d0*cME**2d0*cima*coupl(nGC_66)* &
                      coupl(nGC_68) - cMH**2d0*cima*coupl(nGC_1066)*coupl(     &
                      nGC_37) - 8d0*cMM**2d0*cima*coupl(nGC_70)*coupl(nGC_72   &
                      ) - 8d0*cMTA**2d0*cima*coupl(nGC_82)*coupl(nGC_84) - 4d0*&
                      cMW**2d0*cima*coupl(nGC_22)*coupl(nGC_560) - 4d0*cMW**2d0&
                      *coupl(nGC_17) - cMZ**2d0*cima*coupl(nGC_1066)*coupl(    &
                      nGC_37) - 2d0*cMZ**2d0*coupl(nGC_46))/(32d0*pi**2d0)
    coupl(nGC_3217) = cima*(4d0*Nc*coupl(nGC_55)**2d0 + 4d0*Nc*coupl(nGC_59)** &
                      2d0 + 4d0*Nc*coupl(nGC_63)**2d0 + 4d0*Nc*coupl(nGC_75)** &
                      2d0 + 4d0*Nc*coupl(nGC_79)**2d0 + 4d0*Nc*coupl(nGC_87)** &
                      2d0 + coupl(nGC_1066)*coupl(nGC_37) + coupl(nGC_1070)*   &
                      coupl(nGC_21) + coupl(nGC_20)*coupl(nGC_610) + 4d0*coupl(&
                      nGC_67)**2d0 + 4d0*coupl(nGC_71)**2d0 + 4d0*coupl(nGC_83 &
                      )**2d0)/(96d0*pi**2d0)
    coupl(nGC_3214) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_53)**2d0 - 4d0*Nc*cMB** &
                      2d0*cima*coupl(nGC_77)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(&
                      nGC_57)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(nGC_73)**2d0 - &
                      4d0*Nc*cMD**2d0*cima*coupl(nGC_61)**2d0 - 4d0*Nc*cMD**2d0&
                      *cima*coupl(nGC_85)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(   &
                      nGC_57)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_73)**2d0 - &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_53)**2d0 - 4d0*Nc*cMT**2d0&
                      *cima*coupl(nGC_77)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_61)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_85)**2d0 - &
                      4d0*cME**2d0*cima*coupl(nGC_65)**2d0 - cMH**2d0*cima*    &
                      coupl(nGC_1070)*coupl(nGC_21) - cMH**2d0*cima*coupl(     &
                      nGC_20)*coupl(nGC_610) - 4d0*cMM**2d0*cima*coupl(nGC_69  &
                      )**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_81)**2d0 - cMW**2d0&
                      *cima*coupl(nGC_1070)*coupl(nGC_21) - cMW**2d0*cima*coupl&
                      (nGC_192)**2d0 - cMW**2d0*cima*coupl(nGC_20)*coupl(      &
                      nGC_610) - 2d0*cMW**2d0*cima*coupl(nGC_22)*coupl(nGC_560 &
                      ) - cMW**2d0*cima*coupl(nGC_266)**2d0 - cMW**2d0*cima*   &
                      coupl(nGC_4)**2d0 - cMW**2d0*cima*coupl(nGC_40)**2d0 -   &
                      8d0*cMW**2d0*coupl(nGC_17) - 2d0*cMZ**2d0*cima*coupl(    &
                      nGC_22)*coupl(nGC_560) - cMZ**2d0*cima*coupl(nGC_266)**  &
                      2d0 - cMZ**2d0*cima*coupl(nGC_40)**2d0 - 4d0*cMZ**2d0*   &
                      coupl(nGC_45) + 8d0*cima*coupl(nGC_47)**2d0 + 8d0*cima*  &
                      coupl(nGC_51)**2d0)/(64d0*pi**2d0)
    coupl(nGC_3215) = cima*(4d0*Nc*coupl(nGC_54)*coupl(nGC_56) + 4d0*Nc*coupl( &
                      nGC_58)*coupl(nGC_60) + 4d0*Nc*coupl(nGC_62)*coupl(nGC_64&
                      ) + 4d0*Nc*coupl(nGC_74)*coupl(nGC_76) + 4d0*Nc*coupl(   &
                      nGC_78)*coupl(nGC_80) + 4d0*Nc*coupl(nGC_86)*coupl(nGC_88&
                      ) + coupl(nGC_1066)*coupl(nGC_37) + 2d0*coupl(nGC_22)*   &
                      coupl(nGC_560) + 4d0*coupl(nGC_66)*coupl(nGC_68) + 4d0*  &
                      coupl(nGC_70)*coupl(nGC_72) + 4d0*coupl(nGC_82)*coupl(   &
                      nGC_84))/(96d0*pi**2d0)
    coupl(nGC_5720) = coupl(nGC_3517) + coupl(nGC_42)*dZAZ + coupl(nGC_45)*dZZ
    coupl(nGC_3213) = cima*(4d0*Nc*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(nGC_57)** &
                      2d0 + 4d0*Nc*coupl(nGC_61)**2d0 + 4d0*Nc*coupl(nGC_73)** &
                      2d0 + 4d0*Nc*coupl(nGC_77)**2d0 + 4d0*Nc*coupl(nGC_85)** &
                      2d0 + coupl(nGC_1070)*coupl(nGC_21) + coupl(nGC_192)**2d0&
                       + coupl(nGC_20)*coupl(nGC_610) + 2d0*coupl(nGC_22)*coupl&
                      (nGC_560) + coupl(nGC_266)**2d0 + coupl(nGC_4)**2d0 +    &
                      coupl(nGC_40)**2d0 + 4d0*coupl(nGC_65)**2d0 + 4d0*coupl( &
                      nGC_69)**2d0 + 4d0*coupl(nGC_81)**2d0)/(192d0*pi**2d0)
    coupl(nGC_3218) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_55)**2d0 - 4d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_59)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_63)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_75)**2d0 - &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_79)**2d0 - 4d0*Nc*cMU**2d0&
                      *cima*coupl(nGC_87)**2d0 - 4d0*cME**2d0*cima*coupl(nGC_67&
                      )**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_71)**2d0 - 4d0*cMTA &
                      **2d0*cima*coupl(nGC_83)**2d0 - cMW**2d0*cima*coupl(     &
                      nGC_1070)*coupl(nGC_21) - cMW**2d0*cima*coupl(nGC_20)*   &
                      coupl(nGC_610) - 2d0*cMW**2d0*coupl(nGC_17) - cMZ**2d0*  &
                      cima*coupl(nGC_1066)*coupl(nGC_37) - cMZ**2d0*coupl(     &
                      nGC_46) + 2d0*cima*coupl(nGC_50)**2d0 + cima*coupl(nGC_52&
                      )**2d0)/(16d0*pi**2d0)
    coupl(nGC_7785) = coupl(nGC_24)*dZZA/2d0 + coupl(nGC_3485) + coupl(nGC_4)* &
                      dZA/2d0
    coupl(nGC_7786) = -coupl(nGC_7785)
    coupl(nGC_6552) = coupl(nGC_MZ_GF)*dZZA/2d0
    coupl(nGC_5314) = coupl(nGC_19)*dZWMinus + coupl(nGC_19)*dZZ + coupl(      &
                      nGC_3484)
    coupl(nGC_5316) = coupl(nGC_5313) - 2d0*coupl(nGC_5314)
    coupl(nGC_5310) = coupl(nGC_3572) + coupl(nGC_65)*dZeMinusR/2d0 + coupl(   &
                      nGC_65)*dZnu_eL/2d0
    coupl(nGC_3584) = coupl(nGC_3211)*dyup_QED1_QCD2
    coupl(nGC_3585) = coupl(nGC_3211)*dyup_QED1
    coupl(nGC_3433) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(   &
                      nGC_35)**2d0 - coupl(nGC_85)**2d0 - coupl(nGC_86)*coupl( &
                      nGC_88) - coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_5828) = -coupl(nGC_4932)
    coupl(nGC_6497) = coupl(nGC_3527) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)* &
                      dZnu_tauL
    coupl(nGC_3468) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_2400)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_2394)* &
                      sq2**2d0 + 18d0*coupl(nGC_10)**2d0*coupl(nGC_2400)*sq2** &
                      2d0)/(192d0*pi**2d0)
    coupl(nGC_4899) = coupl(nGC_3509) + coupl(nGC_42)*dZA/2d0 + coupl(nGC_42)* &
                      dZZ/2d0 + coupl(nGC_45)*dZZA/2d0 + coupl(nGC_6)*dZAZ/2d0
    coupl(nGC_4890) = coupl(nGC_3540) + coupl(nGC_73)*dZcL_QED2/2d0 + coupl(   &
                      nGC_73)*dZsR_QED2/2d0
    coupl(nGC_4894) = coupl(nGC_27)*dZA/2d0 + coupl(nGC_27)*dZH/2d0 + coupl(   &
                      nGC_27)*dZWMinus/2d0 + coupl(nGC_3501) + coupl(nGC_8)*   &
                      dZZA/2d0
    coupl(nGC_5266) = coupl(nGC_3586) + coupl(nGC_86)*dZuL_QED2/2d0 + coupl(   &
                      nGC_86)*dZuR_QED2/2d0
    coupl(nGC_5180) = coupl(nGC_3573) + coupl(nGC_69)*dZmuMinusR/2d0 + coupl(  &
                      nGC_69)*dZnu_muL/2d0
    coupl(nGC_5181) = coupl(nGC_37)*dZZA/2d0
    coupl(nGC_3307) = (4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_56) - 4d0* &
                      Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_60) + 4d0*Nc*   &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_64) + 4d0*Nc*coupl(&
                      nGC_23)*coupl(nGC_73)*coupl(nGC_76) - 4d0*Nc*coupl(nGC_23&
                      )*coupl(nGC_77)*coupl(nGC_80) - 4d0*Nc*coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_88) - 6d0*coupl(nGC_1066)*coupl( &
                      nGC_21)*coupl(nGC_25) - 6d0*coupl(nGC_192)*coupl(nGC_274 &
                      )*coupl(nGC_560) + coupl(nGC_21)*coupl(nGC_37)*coupl(    &
                      nGC_40) + coupl(nGC_22)**3d0 + coupl(nGC_22)*coupl(      &
                      nGC_610)**2d0 + 4d0*coupl(nGC_23)*coupl(nGC_65)*coupl(   &
                      nGC_68) + 4d0*coupl(nGC_23)*coupl(nGC_69)*coupl(nGC_72   &
                      ) + 4d0*coupl(nGC_23)*coupl(nGC_81)*coupl(nGC_84) - 6d0* &
                      coupl(nGC_266)*coupl(nGC_364)*coupl(nGC_560))/(96d0*pi** &
                      2d0)
    coupl(nGC_3462) = (20d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_2400) + 12d0*Nc*cima*coupl(      &
                      nGC_2398)*coupl(nGC_2400) - 21d0*Nc*coupl(nGC_10)**2d0*  &
                      coupl(nGC_12)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(&
                      nGC_2394)*sq2**2d0 + 15d0*Nc*coupl(nGC_10)**2d0*coupl(   &
                      nGC_2398)*sq2**2d0 - 15d0*Nc*coupl(nGC_10)**2d0*coupl(   &
                      nGC_2400)*sq2**2d0 - 10d0*cima*coupl(nGC_11)**4d0*sq2**  &
                      4d0)/(768d0*pi**2d0*Nc)
    coupl(nGC_4963) = coupl(nGC_27)*dZAZ/2d0 + coupl(nGC_3513) + coupl(nGC_8)* &
                      dZH/2d0 + coupl(nGC_8)*dZWMinus/2d0 + coupl(nGC_8)*dZZ/  &
                      2d0
    coupl(nGC_5019) = coupl(nGC_3576) + coupl(nGC_66)*dZeMinusL/2d0 + coupl(   &
                      nGC_66)*dZeMinusR/2d0
    coupl(nGC_7019) = coupl(nGC_87)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_3229) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_34) + 2d0*Nc&
                      *cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_38) + 2d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_2)*coupl(nGC_35) + 2d0*Nc*cMC**2d0*   &
                      cima*coupl(nGC_2)*coupl(nGC_39) + 2d0*Nc*cMD**2d0*cima*  &
                      coupl(nGC_1)*coupl(nGC_34) + 2d0*Nc*cMD**2d0*cima*coupl( &
                      nGC_1)*coupl(nGC_38) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*&
                      coupl(nGC_34) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*coupl( &
                      nGC_38) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_35 &
                      ) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_39) + 2d0&
                      *Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(nGC_35) + 2d0*Nc*cMU&
                      **2d0*cima*coupl(nGC_2)*coupl(nGC_39) + 2d0*cME**2d0*cima&
                      *coupl(nGC_36)*coupl(nGC_4) + 2d0*cME**2d0*cima*coupl(   &
                      nGC_4)*coupl(nGC_40) + 2d0*cMM**2d0*cima*coupl(nGC_36)*  &
                      coupl(nGC_4) + 2d0*cMM**2d0*cima*coupl(nGC_4)*coupl(     &
                      nGC_40) + 2d0*cMTA**2d0*cima*coupl(nGC_36)*coupl(nGC_4   &
                      ) + 2d0*cMTA**2d0*cima*coupl(nGC_4)*coupl(nGC_40) + 3d0* &
                      cMW**2d0*cima*coupl(nGC_25)*coupl(nGC_3) + 3d0*cMW**2d0* &
                      cima*coupl(nGC_274)*coupl(nGC_364) - 2d0*cMW**2d0*coupl( &
                      nGC_29))/(16d0*pi**2d0)
    coupl(nGC_3228) = cima*(coupl(nGC_25)*coupl(nGC_3) + coupl(nGC_274)*coupl( &
                      nGC_364))/(48d0*pi**2d0)
    coupl(nGC_3226) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 4d0*Nc*cMC**2d0&
                      *cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMD**2d0*cima*coupl(    &
                      nGC_1)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0 +   &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMU**2d0*&
                      cima*coupl(nGC_2)**2d0 + 4d0*cME**2d0*cima*coupl(nGC_4)**&
                      2d0 + 4d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 4d0*cMTA**2d0&
                      *cima*coupl(nGC_4)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_274&
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_3)**2d0 - 2d0*cMW** &
                      2d0*coupl(nGC_434))/(16d0*pi**2d0)
    coupl(nGC_3225) = cima*(coupl(nGC_274)**2d0 + coupl(nGC_3)**2d0)/(48d0*pi**&
                      2d0)
    coupl(nGC_3224) = cima*(-4d0*Nc*coupl(nGC_1)**2d0 - 4d0*Nc*coupl(nGC_2)**  &
                      2d0 - coupl(nGC_274)**2d0 - coupl(nGC_3)**2d0 - 4d0*coupl&
                      (nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5135) = coupl(nGC_5065) + coupl(nGC_5133)
    coupl(nGC_5134) = coupl(nGC_5065) + coupl(nGC_5132)
    coupl(nGC_3380) = (12d0*Nc*coupl(nGC_23)**2d0*coupl(nGC_38) - 12d0*Nc*coupl&
                      (nGC_23)**2d0*coupl(nGC_39) + 12d0*coupl(nGC_23)**2d0*   &
                      coupl(nGC_40) - 12d0*coupl(nGC_23)**2d0*coupl(nGC_41) -  &
                      11d0*coupl(nGC_25)*coupl(nGC_274)**2d0 - 11d0*coupl(     &
                      nGC_25)*coupl(nGC_364)**2d0)/(96d0*pi**2d0)
    coupl(nGC_3381) = coupl(nGC_23)*(coupl(nGC_25)*coupl(nGC_41) + coupl(      &
                      nGC_274)*coupl(nGC_4) + coupl(nGC_364)*coupl(nGC_40) +   &
                      coupl(nGC_40)*coupl(nGC_41))/(8d0*pi**2d0)
    coupl(nGC_5209) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_3522)
    coupl(nGC_7756) = coupl(nGC_3518) + coupl(nGC_52)*dZH/2d0 + coupl(nGC_52)* &
                      dZZ
    coupl(nGC_9711) = -coupl(nGC_3291)
    coupl(nGC_5496) = coupl(nGC_4985) + coupl(nGC_5495)
    coupl(nGC_5685) = coupl(nGC_3516) + coupl(nGC_46)*dZZ
    coupl(nGC_5360) = coupl(nGC_3516) + coupl(nGC_46)*dZH + coupl(nGC_46)*dZZ
    coupl(nGC_3313) = (-coupl(nGC_1)*coupl(nGC_192)*coupl(nGC_73) + 8d0*coupl( &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_73) - coupl(nGC_2)*coupl(  &
                      nGC_4)*coupl(nGC_73) - coupl(nGC_22)*coupl(nGC_23)*coupl(&
                      nGC_74) - coupl(nGC_23)*coupl(nGC_610)*coupl(nGC_75) -   &
                      coupl(nGC_266)*coupl(nGC_34)*coupl(nGC_73) + 8d0*coupl(  &
                      nGC_34)*coupl(nGC_39)*coupl(nGC_73) - coupl(nGC_39)*coupl&
                      (nGC_40)*coupl(nGC_73) - coupl(nGC_57)*coupl(nGC_59)*    &
                      coupl(nGC_75) - coupl(nGC_57)*coupl(nGC_60)*coupl(nGC_74 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3312) = (-coupl(nGC_1)*coupl(nGC_192)*coupl(nGC_57) + 8d0*coupl( &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_57) - coupl(nGC_2)*coupl(  &
                      nGC_4)*coupl(nGC_57) - coupl(nGC_21)*coupl(nGC_23)*coupl(&
                      nGC_59) - coupl(nGC_23)*coupl(nGC_560)*coupl(nGC_58) -   &
                      coupl(nGC_266)*coupl(nGC_38)*coupl(nGC_57) + 8d0*coupl(  &
                      nGC_35)*coupl(nGC_38)*coupl(nGC_57) - coupl(nGC_35)*coupl&
                      (nGC_40)*coupl(nGC_57) - coupl(nGC_58)*coupl(nGC_73)*    &
                      coupl(nGC_76) - coupl(nGC_59)*coupl(nGC_73)*coupl(nGC_75 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3311) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_77) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_77) + coupl(nGC_192)*coupl(&
                      nGC_2)*coupl(nGC_77) + coupl(nGC_22)*coupl(nGC_23)*coupl(&
                      nGC_78) + coupl(nGC_23)*coupl(nGC_610)*coupl(nGC_79) +   &
                      coupl(nGC_266)*coupl(nGC_35)*coupl(nGC_77) + 8d0*coupl(  &
                      nGC_35)*coupl(nGC_38)*coupl(nGC_77) + coupl(nGC_38)*coupl&
                      (nGC_40)*coupl(nGC_77) - coupl(nGC_53)*coupl(nGC_55)*    &
                      coupl(nGC_79) - coupl(nGC_53)*coupl(nGC_56)*coupl(nGC_78 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3259) = (4d0*Nc*coupl(nGC_1)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(  &
                      nGC_1)*coupl(nGC_57)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(   &
                      nGC_61)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_73)**2d0 +  &
                      4d0*Nc*coupl(nGC_1)*coupl(nGC_77)**2d0 + 4d0*Nc*coupl(   &
                      nGC_1)*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(   &
                      nGC_53)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_57)**2d0 -  &
                      4d0*Nc*coupl(nGC_2)*coupl(nGC_61)**2d0 - 4d0*Nc*coupl(   &
                      nGC_2)*coupl(nGC_73)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(   &
                      nGC_77)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_85)**2d0 +  &
                      coupl(nGC_192)**2d0*coupl(nGC_4) - 6d0*coupl(nGC_20)*    &
                      coupl(nGC_3)*coupl(nGC_610) - 6d0*coupl(nGC_22)*coupl(   &
                      nGC_3)*coupl(nGC_560) + coupl(nGC_266)**2d0*coupl(nGC_4  &
                      ) + 4d0*coupl(nGC_4)*coupl(nGC_65)**2d0 + 4d0*coupl(nGC_4&
                      )*coupl(nGC_69)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_81)**  &
                      2d0)/(96d0*pi**2d0)
    coupl(nGC_7025) = coupl(nGC_3599) + coupl(nGC_87)*dZH/2d0
    coupl(nGC_3316) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_85) + coupl(nGC_192)*coupl(&
                      nGC_2)*coupl(nGC_85) + coupl(nGC_22)*coupl(nGC_23)*coupl(&
                      nGC_86) + coupl(nGC_23)*coupl(nGC_610)*coupl(nGC_87) +   &
                      coupl(nGC_266)*coupl(nGC_35)*coupl(nGC_85) + 8d0*coupl(  &
                      nGC_35)*coupl(nGC_38)*coupl(nGC_85) + coupl(nGC_38)*coupl&
                      (nGC_40)*coupl(nGC_85) - coupl(nGC_61)*coupl(nGC_63)*    &
                      coupl(nGC_87) - coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_86 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3315) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_61) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_61) + coupl(nGC_192)*coupl(&
                      nGC_2)*coupl(nGC_61) + coupl(nGC_21)*coupl(nGC_23)*coupl(&
                      nGC_63) + coupl(nGC_23)*coupl(nGC_560)*coupl(nGC_62) +   &
                      coupl(nGC_266)*coupl(nGC_39)*coupl(nGC_61) + 8d0*coupl(  &
                      nGC_34)*coupl(nGC_39)*coupl(nGC_61) + coupl(nGC_34)*coupl&
                      (nGC_40)*coupl(nGC_61) - coupl(nGC_62)*coupl(nGC_85)*    &
                      coupl(nGC_88) - coupl(nGC_63)*coupl(nGC_85)*coupl(nGC_87 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_7026) = coupl(nGC_3598) + coupl(nGC_7019)
    coupl(nGC_5280) = coupl(nGC_3527) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)* &
                      dZnu_muL
    coupl(nGC_5287) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3477)
    coupl(nGC_6172) = coupl(nGC_3493) + coupl(nGC_44)*dZH/2d0
    coupl(nGC_6097) = coupl(nGC_3604) + coupl(nGC_79)*dZH/2d0
    coupl(nGC_6242) = coupl(nGC_25)*dZZA/2d0 + coupl(nGC_3)*dZA/2d0 + coupl(   &
                      nGC_3479)
    coupl(nGC_6243) = -coupl(nGC_6242)
    coupl(nGC_4987) = coupl(nGC_35)*dZZ/2d0 + coupl(nGC_3523)
    coupl(nGC_5008) = coupl(nGC_3502) + coupl(nGC_47)*dZZA/2d0 + coupl(nGC_51)*&
                      dZA/2d0 + coupl(nGC_51)*dZWMinus/2d0
    coupl(nGC_6515) = coupl(nGC_3603) + coupl(nGC_6511)
    coupl(nGC_6513) = coupl(nGC_3601) + coupl(nGC_6512)
    coupl(nGC_4868) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_3521)
    coupl(nGC_7136) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3477)
    coupl(nGC_9889) = -coupl(nGC_3380)
    coupl(nGC_3306) = (coupl(nGC_1070)*coupl(nGC_23)*coupl(nGC_83) + coupl(    &
                      nGC_22)*coupl(nGC_23)*coupl(nGC_84) + coupl(nGC_266)*    &
                      coupl(nGC_41)*coupl(nGC_81) + coupl(nGC_36)*coupl(nGC_40 &
                      )*coupl(nGC_81) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl( &
                      nGC_81) + coupl(nGC_4)**2d0*coupl(nGC_81))/(32d0*pi**2d0)
    coupl(nGC_4986) = coupl(nGC_3524) + coupl(nGC_39)*dZZ/2d0
    coupl(nGC_5454) = coupl(nGC_3547) + coupl(nGC_64)*dZdL_QED2/2d0 + coupl(   &
                      nGC_64)*dZdR_QED2/2d0
    coupl(nGC_7033) = coupl(nGC_3596) + coupl(nGC_80)*dZtL/2d0 + coupl(nGC_80)*&
                      dZtR/2d0
    coupl(nGC_4909) = coupl(nGC_4904) + coupl(nGC_4908)
    coupl(nGC_6870) = coupl(nGC_3619) + coupl(nGC_6864)
    coupl(nGC_5346) = coupl(nGC_5065) + coupl(nGC_5343)
    coupl(nGC_5345) = coupl(nGC_5065) + coupl(nGC_5344)
    coupl(nGC_3287) = (4d0*Nc*cMB*coupl(nGC_53)**2d0*coupl(nGC_55) + 4d0*Nc*cMB&
                      *coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc*cMB* &
                      coupl(nGC_55)*coupl(nGC_77)**2d0 + 4d0*Nc*cMC*coupl(     &
                      nGC_57)**2d0*coupl(nGC_59) + 4d0*Nc*cMC*coupl(nGC_57)*   &
                      coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*cMC*coupl(nGC_59)*  &
                      coupl(nGC_73)**2d0 + 4d0*Nc*cMD*coupl(nGC_61)**2d0*coupl(&
                      nGC_63) + 4d0*Nc*cMD*coupl(nGC_61)*coupl(nGC_85)*coupl(  &
                      nGC_87) + 4d0*Nc*cMD*coupl(nGC_63)*coupl(nGC_85)**2d0 +  &
                      4d0*Nc*cMS*coupl(nGC_57)**2d0*coupl(nGC_75) + 4d0*Nc*cMS*&
                      coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) + 4d0*Nc*cMS*  &
                      coupl(nGC_73)**2d0*coupl(nGC_75) + 4d0*Nc*cMT*coupl(     &
                      nGC_53)**2d0*coupl(nGC_79) + 4d0*Nc*cMT*coupl(nGC_53)*   &
                      coupl(nGC_55)*coupl(nGC_77) + 4d0*Nc*cMT*coupl(nGC_77)** &
                      2d0*coupl(nGC_79) + 4d0*Nc*cMU*coupl(nGC_61)**2d0*coupl( &
                      nGC_87) + 4d0*Nc*cMU*coupl(nGC_61)*coupl(nGC_63)*coupl(  &
                      nGC_85) + 4d0*Nc*cMU*coupl(nGC_85)**2d0*coupl(nGC_87) +  &
                      4d0*cME*coupl(nGC_65)**2d0*coupl(nGC_67) + 4d0*cMM*coupl(&
                      nGC_69)**2d0*coupl(nGC_71) + 4d0*cMTA*coupl(nGC_81)**2d0*&
                      coupl(nGC_83) + 4d0*cima*coupl(nGC_17)*coupl(nGC_50) +   &
                      8d0*cima*coupl(nGC_27)*coupl(nGC_51) + 2d0*cima*coupl(   &
                      nGC_45)*coupl(nGC_52) + 8d0*cima*coupl(nGC_47)*coupl(    &
                      nGC_8) - coupl(nGC_1066)*coupl(nGC_22)*coupl(nGC_47) -   &
                      coupl(nGC_1070)*coupl(nGC_192)*coupl(nGC_51) + coupl(    &
                      nGC_1070)*coupl(nGC_21)*coupl(nGC_49) - coupl(nGC_1070)* &
                      coupl(nGC_266)*coupl(nGC_47) + coupl(nGC_1070)*coupl(    &
                      nGC_48)*coupl(nGC_610) + coupl(nGC_192)**2d0*coupl(nGC_48&
                      ) - coupl(nGC_192)*coupl(nGC_21)*coupl(nGC_51) + coupl(  &
                      nGC_20)*coupl(nGC_21)*coupl(nGC_48) - coupl(nGC_20)*coupl&
                      (nGC_50)*coupl(nGC_610) - coupl(nGC_21)*coupl(nGC_266)*  &
                      coupl(nGC_47) + coupl(nGC_22)*coupl(nGC_48)*coupl(nGC_560&
                      ) - coupl(nGC_22)*coupl(nGC_50)*coupl(nGC_560) + coupl(  &
                      nGC_266)**2d0*coupl(nGC_48) - coupl(nGC_37)*coupl(nGC_47 &
                      )*coupl(nGC_560) - coupl(nGC_40)**2d0*coupl(nGC_52))/(   &
                      32d0*pi**2d0)
    coupl(nGC_4869) = coupl(nGC_4863) + coupl(nGC_4868)
    coupl(nGC_5506) = coupl(nGC_4868) + coupl(nGC_5503)
    coupl(nGC_5507) = coupl(nGC_4868) + coupl(nGC_5505)
    coupl(nGC_4910) = coupl(nGC_4907) + coupl(nGC_4908)
    coupl(nGC_5849) = -coupl(nGC_5848)
    coupl(nGC_5425) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZnu_tauL/2d0 &
                       + coupl(nGC_23)*dZtauMinusL/2d0 + coupl(nGC_3522)
    coupl(nGC_5078) = coupl(nGC_5076) - coupl(nGC_5077)/2d0
    coupl(nGC_5079) = -2d0*coupl(nGC_5076) + coupl(nGC_5077)
    coupl(nGC_5961) = coupl(nGC_4868) + coupl(nGC_5960)
    coupl(nGC_5067) = coupl(nGC_5063) + coupl(nGC_5065)
    coupl(nGC_5066) = coupl(nGC_5064) + coupl(nGC_5065)
    coupl(nGC_10558) = -coupl(nGC_3437)
    coupl(nGC_8175) = -coupl(nGC_5273)
    coupl(nGC_5520) = -coupl(nGC_5181)
    coupl(nGC_6196) = -coupl(nGC_5122)
    coupl(nGC_5405) = coupl(nGC_4908) + coupl(nGC_5402)
    coupl(nGC_5404) = coupl(nGC_4908) + coupl(nGC_5403)
    coupl(nGC_6751) = coupl(nGC_3578) + coupl(nGC_70)*dZmuMinusL/2d0 + coupl(  &
                      nGC_70)*dZmuMinusR/2d0
    coupl(nGC_5240) = coupl(nGC_25)*dZWMinus + coupl(nGC_25)*dZZ/2d0 + coupl(  &
                      nGC_3)*dZAZ/2d0 + coupl(nGC_3481)
    coupl(nGC_5872) = coupl(nGC_3499) + coupl(nGC_42)*dZZA + coupl(nGC_6)*dZA
    coupl(nGC_3310) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_53) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_53) + coupl(nGC_192)*coupl(&
                      nGC_2)*coupl(nGC_53) + coupl(nGC_21)*coupl(nGC_23)*coupl(&
                      nGC_55) + coupl(nGC_23)*coupl(nGC_54)*coupl(nGC_560) +   &
                      coupl(nGC_266)*coupl(nGC_39)*coupl(nGC_53) + 8d0*coupl(  &
                      nGC_34)*coupl(nGC_39)*coupl(nGC_53) + coupl(nGC_34)*coupl&
                      (nGC_40)*coupl(nGC_53) - coupl(nGC_54)*coupl(nGC_77)*    &
                      coupl(nGC_80) - coupl(nGC_55)*coupl(nGC_77)*coupl(nGC_79 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_9757) = -coupl(nGC_3259)
    coupl(nGC_3317) = (coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_71) + coupl(nGC_23&
                      )*coupl(nGC_560)*coupl(nGC_70) + coupl(nGC_266)*coupl(   &
                      nGC_41)*coupl(nGC_69) + coupl(nGC_36)*coupl(nGC_40)*coupl&
                      (nGC_69) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(nGC_69  &
                      ) + coupl(nGC_4)**2d0*coupl(nGC_69))/(32d0*pi**2d0)
    coupl(nGC_4935) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZmuMinusL/2d0&
                       + coupl(nGC_23)*dZnu_muL/2d0 + coupl(nGC_3522)
    coupl(nGC_7024) = coupl(nGC_3600) + coupl(nGC_7018)
    coupl(nGC_3465) = (-20d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*cima*coupl&
                      (nGC_2400)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_12)*  &
                      sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_2394)*sq2**  &
                      2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_2398)*sq2**2d0 +  &
                      33d0*coupl(nGC_10)**2d0*coupl(nGC_2400)*sq2**2d0)/(384d0*&
                      pi**2d0)
    coupl(nGC_3464) = (10d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 6d0*Nc*cima* &
                      coupl(nGC_12)*coupl(nGC_2400) + 6d0*Nc*cima*coupl(       &
                      nGC_2398)*coupl(nGC_2400) - 9d0*Nc*coupl(nGC_10)**2d0*   &
                      coupl(nGC_12)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(&
                      nGC_2394)*sq2**2d0 + 9d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_2398)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_2400)*sq2**2d0 - 5d0*cima*coupl(nGC_11)**4d0*sq2**4d0&
                      )/(384d0*pi**2d0*Nc)
    coupl(nGC_3467) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_2400)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2&
                      **2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_2398)*sq2**2d0  &
                       + 15d0*coupl(nGC_10)**2d0*coupl(nGC_2400)*sq2**2d0)/(   &
                      192d0*pi**2d0)
    coupl(nGC_3314) = (coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_67) + coupl(nGC_23&
                      )*coupl(nGC_560)*coupl(nGC_66) + coupl(nGC_266)*coupl(   &
                      nGC_41)*coupl(nGC_65) + coupl(nGC_36)*coupl(nGC_40)*coupl&
                      (nGC_65) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(nGC_65  &
                      ) + coupl(nGC_4)**2d0*coupl(nGC_65))/(32d0*pi**2d0)
    coupl(nGC_3461) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima*&
                      coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_2398)**2d0 + &
                      21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 21d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_2398)*sq2**2d0 + 30d0*   &
                      cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_3463) = (10d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 6d0*Nc*cima* &
                      coupl(nGC_12)*coupl(nGC_2400) + 6d0*Nc*cima*coupl(       &
                      nGC_2398)*coupl(nGC_2400) - 12d0*Nc*coupl(nGC_10)**2d0*  &
                      coupl(nGC_12)*sq2**2d0 + 6d0*Nc*coupl(nGC_10)**2d0*coupl(&
                      nGC_2398)*sq2**2d0 - 6d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_2400)*sq2**2d0 - 5d0*cima*coupl(nGC_11)**4d0*sq2**4d0&
                      )/(384d0*pi**2d0*Nc)
    coupl(nGC_5288) = -coupl(nGC_5287)
    coupl(nGC_6042) = coupl(nGC_24)*dZZ/2d0 + coupl(nGC_3490) + coupl(nGC_4)*  &
                      dZAZ/2d0
    coupl(nGC_6043) = -coupl(nGC_6042)
    coupl(nGC_5315) = -coupl(nGC_5313)/2d0 + coupl(nGC_5314)
    coupl(nGC_5991) = -coupl(nGC_5990)
    coupl(nGC_9855) = -coupl(nGC_3292)
    coupl(nGC_9852) = -coupl(nGC_3307)
    coupl(nGC_5497) = coupl(nGC_4985) + coupl(nGC_5494)
    coupl(nGC_3318) = (-coupl(nGC_192)*coupl(nGC_4)*coupl(nGC_81) - coupl(     &
                      nGC_22)*coupl(nGC_23)*coupl(nGC_82) - coupl(nGC_23)*coupl&
                      (nGC_610)*coupl(nGC_83) - coupl(nGC_266)*coupl(nGC_36)*  &
                      coupl(nGC_81) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(   &
                      nGC_81) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_81))/(   &
                      32d0*pi**2d0)
    coupl(nGC_3261) = (coupl(nGC_1070)*coupl(nGC_4)*coupl(nGC_560) + coupl(    &
                      nGC_192)*coupl(nGC_560)*coupl(nGC_610) - 6d0*coupl(nGC_20&
                      )*coupl(nGC_22)*coupl(nGC_274) - 6d0*coupl(nGC_21)*coupl(&
                      nGC_22)*coupl(nGC_3))/(96d0*pi**2d0)
    coupl(nGC_3260) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53) -  &
                      2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57) - 2d0&
                      *Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61) - 2d0*Nc&
                      *cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73) - 2d0*Nc*  &
                      cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77) - 2d0*Nc*cMU&
                      *coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85) + 4d0*cima*    &
                      coupl(nGC_226)*coupl(nGC_47) + 4d0*cima*coupl(nGC_5)*    &
                      coupl(nGC_51) - coupl(nGC_192)*coupl(nGC_274)*coupl(     &
                      nGC_51) - coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_50) -     &
                      coupl(nGC_266)*coupl(nGC_364)*coupl(nGC_51) + 6d0*coupl( &
                      nGC_274)*coupl(nGC_3)*coupl(nGC_51) + 6d0*coupl(nGC_3)*  &
                      coupl(nGC_364)*coupl(nGC_47))/(32d0*pi**2d0)
    coupl(nGC_5962) = coupl(nGC_4868) + coupl(nGC_5958)
    coupl(nGC_5716) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZtL/2d0 +    &
                      coupl(nGC_3522)
    coupl(nGC_4943) = coupl(nGC_4868) + coupl(nGC_4941)
    coupl(nGC_4942) = coupl(nGC_4868) + coupl(nGC_4939)
    coupl(nGC_5199) = -2d0*coupl(nGC_5198)
    coupl(nGC_5053) = coupl(nGC_3525) + coupl(nGC_38)*dZZ/2d0
    coupl(nGC_5056) = coupl(nGC_5048) + coupl(nGC_5053)
    coupl(nGC_5054) = coupl(nGC_34)*dZZ/2d0 + coupl(nGC_3526)
    coupl(nGC_5055) = coupl(nGC_5048) + coupl(nGC_5054)
    coupl(nGC_5264) = coupl(nGC_3584) + coupl(nGC_86)*dZuL_QCD2/2d0 + coupl(   &
                      nGC_86)*dZuR_QCD2/2d0
    coupl(nGC_4958) = coupl(nGC_4955) + coupl(nGC_4956)
    coupl(nGC_4959) = coupl(nGC_4955) + coupl(nGC_4957)
    coupl(nGC_5462) = coupl(nGC_3527) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)* &
                      dZnu_eL
    coupl(nGC_5708) = coupl(nGC_4955) + coupl(nGC_5706)
    coupl(nGC_5707) = coupl(nGC_4955) + coupl(nGC_5705)
    coupl(nGC_9939) = -coupl(nGC_3308)
    coupl(nGC_4870) = coupl(nGC_4865) + coupl(nGC_4868)
    coupl(nGC_3466) = (-5d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 3d0*cima*coupl( &
                      nGC_12)**2d0 - 6d0*cima*coupl(nGC_12)*coupl(nGC_2398) +  &
                      3d0*cima*coupl(nGC_2398)**2d0 + 9d0*coupl(nGC_10)**2d0*  &
                      coupl(nGC_12)*sq2**2d0 - 6d0*coupl(nGC_10)**2d0*coupl(   &
                      nGC_2398)*sq2**2d0)/(96d0*pi**2d0)
    coupl(nGC_5459) = coupl(nGC_26)*dZAZ/2d0 + coupl(nGC_3515) + coupl(nGC_7)* &
                      dZWMinus/2d0 + coupl(nGC_7)*dZZ/2d0
    coupl(nGC_5831) = -coupl(nGC_5799)
    coupl(nGC_5277) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZeMinusL/2d0 &
                       + coupl(nGC_23)*dZnu_eL/2d0 + coupl(nGC_3522)
    coupl(nGC_5607) = coupl(nGC_5605) - 2d0*coupl(nGC_5606)
    coupl(nGC_6304) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_3478)
    coupl(nGC_9726) = -coupl(nGC_3261)
    coupl(nGC_6309) = 2d0*coupl(nGC_6304)
    coupl(nGC_6308) = -coupl(nGC_6304)
    coupl(nGC_5034) = coupl(nGC_4868) + coupl(nGC_5028)
    coupl(nGC_4989) = coupl(nGC_4985) + coupl(nGC_4986)
    coupl(nGC_4988) = coupl(nGC_4985) + coupl(nGC_4987)
    coupl(nGC_5033) = coupl(nGC_4868) + coupl(nGC_5032)
    coupl(nGC_5241) = -coupl(nGC_5240)
    coupl(nGC_6305) = -2d0*coupl(nGC_6304)
    coupl(nGC_6098) = coupl(nGC_6094) + coupl(nGC_6097)
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
