!******************************************************************************!
!                                                                              !
!    vertices_info4.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info4.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-02 00:09             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info4
  implicit none
  contains
  subroutine fill_vertices_mdl4()
    use class_vertices
    use class_couplings
    allocate(vertices(812)%branchR2(0:0))
    call avR2(812, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_10089])

    allocate(vertices(83)%branchR2(0:0))
    call avR2(83, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3272, nGC_3273])

    allocate(vertices(969)%branchR2(0:1))
    call avR2(969, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_3386, nGC_3384])

    call avR2(969, 1, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3401, nGC_3400])

    allocate(vertices(1163)%branchR2(0:5))
    call avR2(1163, 0, 77, 1, 0, VVVV1, 0, [3, 1], [nGC_3455, nGC_3455,        &
    nGC_3455, nGC_3459])

    call avR2(1163, 1, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1163, 2, 79, 1, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1163, 3, 80, 1, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1163, 4, 81, 1, 0, VVVV0, 0, [3, 1], [nGC_3458, nGC_3458,        &
    nGC_3458])

    call avR2(1163, 5, 82, 1, 0, VVVV1, 0, [3, 1], [nGC_3455, nGC_3455,        &
    nGC_3455, nGC_3456])

    allocate(vertices(754)%branchR2(0:0))
    call avR2(754, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3293, nGC_3294])

    allocate(vertices(951)%branchR2(0:0))
    call avR2(951, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3395, nGC_3396])

    allocate(vertices(93)%branchR2(0:1))
    call avR2(93, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3358, nGC_3359])

    call avR2(93, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3360, nGC_3360])

    allocate(vertices(232)%branchR2(0:0))
    call avR2(232, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_3276, nGC_3277])

    allocate(vertices(327)%branchR2(0:0))
    call avR2(327, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3381])

    allocate(vertices(799)%branchR2(0:1))
    call avR2(799, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3297, nGC_3299])

    call avR2(799, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3312, nGC_3313])

    allocate(vertices(1075)%branchR2(0:0))
    call avR2(1075, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_3214, nGC_3213])

    allocate(vertices(497)%branchR2(0:0))
    call avR2(497, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_3377])

    allocate(vertices(1164)%branchR2(0:1))
    call avR2(1164, 0, 24, 1, 0, FaFV1, 0, [1, 2], [nGC_3429, nGC_3428])

    call avR2(1164, 1, 25, 1, 0, FaFV1, 0, [1, 2], [nGC_3431, nGC_3430])

    allocate(vertices(1102)%branchR2(0:0))
    call avR2(1102, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_3279])

    allocate(vertices(208)%branchR2(0:3))
    call avR2(208, 0, 24, 1, 0, FaFV1, 0, [1, 2], [nGC_3426, nGC_3425])

    call avR2(208, 1, 24, 1, 0, FaFV1, 0, [3, 0], [nGC_3427, nGC_3427])

    call avR2(208, 2, 25, 1, 0, FaFV1, 0, [1, 2], [nGC_3423, nGC_3422])

    call avR2(208, 3, 25, 1, 0, FaFV1, 0, [3, 0], [nGC_3424, nGC_3424])

    allocate(vertices(519)%branchR2(0:1))
    call avR2(519, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_3390, nGC_3388])

    call avR2(519, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_3407, nGC_3406])

    allocate(vertices(927)%branchR2(0:1))
    call avR2(927, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3353, nGC_3353])

    call avR2(927, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3351, nGC_3352])

    allocate(vertices(784)%branchR2(0:0))
    call avR2(784, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3399])

    allocate(vertices(77)%branchR2(0:0))
    call avR2(77, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_3314])

    allocate(vertices(413)%branchR2(0:0))
    call avR2(413, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_3382])

    allocate(vertices(149)%branchR2(0:0))
    call avR2(149, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9711])

    allocate(vertices(217)%branchR2(0:1))
    call avR2(217, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3303, nGC_3301])

    call avR2(217, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3316, nGC_3315])

    allocate(vertices(1165)%branchR2(0:5))
    call avR2(1165, 0, 83, 1, 0, VVVV0, 0, [3, 1], [nGC_3452, nGC_3452,        &
    nGC_3452])

    call avR2(1165, 1, 84, 1, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1165, 2, 85, 1, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1165, 3, 86, 1, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1165, 4, 87, 1, 0, VVVV0, 0, [3, 1], [nGC_3454, nGC_3454,        &
    nGC_3454])

    call avR2(1165, 5, 88, 1, 0, VVVV0, 0, [3, 1], [nGC_3452, nGC_3452,        &
    nGC_3452])

    allocate(vertices(1119)%branchR2(0:1))
    call avR2(1119, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_3223, nGC_3220, nGC_3253&
    , nGC_3253])

    call avR2(1119, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_3219, nGC_3219, nGC_3254&
    , nGC_3254])

    allocate(vertices(762)%branchR2(0:0))
    call avR2(762, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3272, nGC_3273])

    allocate(vertices(143)%branchR2(0:0))
    call avR2(143, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_3317])

    allocate(vertices(509)%branchR2(0:0))
    call avR2(509, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3370, nGC_3371])

    allocate(vertices(468)%branchR2(0:0))
    call avR2(468, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3272, nGC_3273])

    allocate(vertices(1166)%branchR2(0:1))
    call avR2(1166, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9844, nGC_9844,        &
    nGC_3440])

    call avR2(1166, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9846, nGC_9846,        &
    nGC_3441])

    allocate(vertices(45)%branchR2(0:0))
    call avR2(45, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3382])

    allocate(vertices(189)%branchR2(0:1))
    call avR2(189, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_3369, nGC_3369])

    call avR2(189, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_3367, nGC_3368])

    allocate(vertices(1167)%branchR2(0:1))
    call avR2(1167, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3440, nGC_9844,        &
    nGC_9844])

    call avR2(1167, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3441, nGC_9846,        &
    nGC_9846])

    allocate(vertices(441)%branchR2(0:1))
    call avR2(441, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3345, nGC_3347])

    call avR2(441, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3346, nGC_3348])

    allocate(vertices(1168)%branchR2(0:1))
    call avR2(1168, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3446, nGC_3446,        &
    nGC_3446])

    call avR2(1168, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3447, nGC_3447,        &
    nGC_3447])

    allocate(vertices(1101)%branchR2(0:0))
    call avR2(1101, 0, 13, 1, 0, FFa3, 0, [0, 2], [nGC_3242, nGC_3243, nGC_3251&
    , nGC_3251])

    allocate(vertices(1015)%branchR2(0:1))
    call avR2(1015, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_3386, nGC_3384])

    call avR2(1015, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_3401, nGC_3400])

    allocate(vertices(12)%branchR2(0:0))
    call avR2(12, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3381])

    allocate(vertices(953)%branchR2(0:3))
    call avR2(953, 0, 24, 1, 0, FaFV1, 0, [1, 2], [nGC_3417, nGC_3416])

    call avR2(953, 1, 24, 1, 0, FaFV1, 0, [3, 0], [nGC_3412, nGC_3412])

    call avR2(953, 2, 25, 1, 0, FaFV1, 0, [1, 2], [nGC_3415, nGC_3414])

    call avR2(953, 3, 25, 1, 0, FaFV1, 0, [3, 0], [nGC_3409, nGC_3409])

    allocate(vertices(456)%branchR2(0:1))
    call avR2(456, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3289, nGC_3288])

    call avR2(456, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3271, nGC_3271])

    allocate(vertices(845)%branchR2(0:1))
    call avR2(845, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_3378])

    call avR2(845, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_3379])

    allocate(vertices(1169)%branchR2(0:1))
    call avR2(1169, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3440, nGC_9844,        &
    nGC_9844])

    call avR2(1169, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3441, nGC_9846,        &
    nGC_9846])

    allocate(vertices(919)%branchR2(0:1))
    call avR2(919, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3389, nGC_3387])

    call avR2(919, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3390, nGC_3388])

    allocate(vertices(325)%branchR2(0:0))
    call avR2(325, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_3317])

    allocate(vertices(713)%branchR2(0:0))
    call avR2(713, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_10206])

    allocate(vertices(701)%branchR2(0:1))
    call avR2(701, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3329, nGC_3331])

    call avR2(701, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3330, nGC_3332])

    allocate(vertices(1170)%branchR2(0:1))
    call avR2(1170, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3446, nGC_3446,        &
    nGC_3446])

    call avR2(1170, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3447, nGC_3447,        &
    nGC_3447])

    allocate(vertices(67)%branchR2(0:0))
    call avR2(67, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3260])

    allocate(vertices(1171)%branchR2(0:1))
    call avR2(1171, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_3438])

    call avR2(1171, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_3439])

    allocate(vertices(666)%branchR2(0:0))
    call avR2(666, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3285, nGC_3286])

    allocate(vertices(206)%branchR2(0:1))
    call avR2(206, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3345, nGC_3347])

    call avR2(206, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3346, nGC_3348])

    allocate(vertices(522)%branchR2(0:0))
    call avR2(522, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3309])

    allocate(vertices(255)%branchR2(0:0))
    call avR2(255, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3344, nGC_3343])

    allocate(vertices(1172)%branchR2(0:5))
    call avR2(1172, 0, 83, 1, 0, VVVV1, 0, [3, 1], [nGC_3455, nGC_3455,        &
    nGC_3455, nGC_9925])

    call avR2(1172, 1, 84, 1, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1172, 2, 85, 1, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1172, 3, 86, 1, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1172, 4, 87, 1, 0, VVVV0, 0, [3, 1], [nGC_3458, nGC_3458,        &
    nGC_3458])

    call avR2(1172, 5, 88, 1, 0, VVVV1, 0, [3, 1], [nGC_3455, nGC_3455,        &
    nGC_3455, nGC_9921])

    allocate(vertices(86)%branchR2(0:1))
    call avR2(86, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_3275, nGC_3274])

    call avR2(86, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_3265, nGC_3265])

    allocate(vertices(71)%branchR2(0:1))
    call avR2(71, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_3377])

    call avR2(71, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_3379])

    allocate(vertices(924)%branchR2(0:0))
    call avR2(924, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3354])

    allocate(vertices(694)%branchR2(0:0))
    call avR2(694, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_3398])

    allocate(vertices(1173)%branchR2(0:1))
    call avR2(1173, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_3442])

    call avR2(1173, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_3443])

    allocate(vertices(578)%branchR2(0:0))
    call avR2(578, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_3317])

    allocate(vertices(1174)%branchR2(0:1))
    call avR2(1174, 0, 30, 1, 0, VFFa0, 0, [1, 2], [nGC_3429, nGC_3428])

    call avR2(1174, 1, 31, 1, 0, VFFa0, 0, [1, 2], [nGC_3431, nGC_3430])

    allocate(vertices(49)%branchR2(0:0))
    call avR2(49, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3295])

    allocate(vertices(179)%branchR2(0:1))
    call avR2(179, 0, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_3390, nGC_3388])

    call avR2(179, 1, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_3407, nGC_3406])

    allocate(vertices(314)%branchR2(0:1))
    call avR2(314, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3300, nGC_3302])

    call avR2(314, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3301, nGC_3303])

    allocate(vertices(510)%branchR2(0:1))
    call avR2(510, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_3282, nGC_3281])

    call avR2(510, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_3265, nGC_3265])

    allocate(vertices(310)%branchR2(0:1))
    call avR2(310, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3321, nGC_3323])

    call avR2(310, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3322, nGC_3324])

    allocate(vertices(540)%branchR2(0:0))
    call avR2(540, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_3373, nGC_3372])

    allocate(vertices(345)%branchR2(0:0))
    call avR2(345, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9852])

    allocate(vertices(393)%branchR2(0:0))
    call avR2(393, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3378])

    allocate(vertices(176)%branchR2(0:1))
    call avR2(176, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3378])

    call avR2(176, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_3379])

    allocate(vertices(124)%branchR2(0:1))
    call avR2(124, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3298, nGC_3296])

    call avR2(124, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3299, nGC_3297])

    allocate(vertices(895)%branchR2(0:1))
    call avR2(895, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_3389, nGC_3387])

    call avR2(895, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_3390, nGC_3388])

    allocate(vertices(609)%branchR2(0:0))
    call avR2(609, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3292])

    allocate(vertices(884)%branchR2(0:1))
    call avR2(884, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3345, nGC_3347])

    call avR2(884, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3346, nGC_3348])

    allocate(vertices(444)%branchR2(0:0))
    call avR2(444, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_3403, nGC_3402])

    allocate(vertices(820)%branchR2(0:1))
    call avR2(820, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3329, nGC_3331])

    call avR2(820, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3330, nGC_3332])

    allocate(vertices(258)%branchR2(0:1))
    call avR2(258, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_3385, nGC_3383])

    call avR2(258, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_3386, nGC_3384])

    allocate(vertices(153)%branchR2(0:0))
    call avR2(153, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3404, nGC_3405])

    allocate(vertices(320)%branchR2(0:0))
    call avR2(320, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3381])

    allocate(vertices(429)%branchR2(0:0))
    call avR2(429, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3293, nGC_3294])

    allocate(vertices(557)%branchR2(0:3))
    call avR2(557, 0, 24, 1, 0, FaFV1, 0, [1, 2], [nGC_3413, nGC_3411])

    call avR2(557, 1, 24, 1, 0, FaFV1, 0, [3, 0], [nGC_3412, nGC_3412])

    call avR2(557, 2, 25, 1, 0, FaFV1, 0, [1, 2], [nGC_3410, nGC_3408])

    call avR2(557, 3, 25, 1, 0, FaFV1, 0, [3, 0], [nGC_3409, nGC_3409])

    allocate(vertices(181)%branchR2(0:0))
    call avR2(181, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_3305])

    allocate(vertices(780)%branchR2(0:0))
    call avR2(780, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_3377])

    allocate(vertices(775)%branchR2(0:0))
    call avR2(775, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3319])

    allocate(vertices(945)%branchR2(0:0))
    call avR2(945, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3295])

    allocate(vertices(173)%branchR2(0:1))
    call avR2(173, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3298, nGC_3296])

    call avR2(173, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3299, nGC_3297])

    allocate(vertices(1016)%branchR2(0:3))
    call avR2(1016, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_3426, nGC_3425])

    call avR2(1016, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_3427, nGC_3427])

    call avR2(1016, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_3423, nGC_3422])

    call avR2(1016, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_3424, nGC_3424])

    allocate(vertices(215)%branchR2(0:1))
    call avR2(215, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_3289, nGC_3288])

    call avR2(215, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_3271, nGC_3271])

    allocate(vertices(330)%branchR2(0:1))
    call avR2(330, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3358, nGC_3359])

    call avR2(330, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3360, nGC_3360])

    allocate(vertices(1022)%branchR2(0:1))
    call avR2(1022, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_3271, nGC_3271])

    call avR2(1022, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_3270, nGC_3269])

    allocate(vertices(700)%branchR2(0:0))
    call avR2(700, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_3373, nGC_3372])

    allocate(vertices(890)%branchR2(0:1))
    call avR2(890, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3329, nGC_3331])

    call avR2(890, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3330, nGC_3332])

    allocate(vertices(1014)%branchR2(0:0))
    call avR2(1014, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3350])

    allocate(vertices(195)%branchR2(0:1))
    call avR2(195, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3325, nGC_3327])

    call avR2(195, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3326, nGC_3328])

    allocate(vertices(265)%branchR2(0:1))
    call avR2(265, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3329, nGC_3331])

    call avR2(265, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3330, nGC_3332])

    allocate(vertices(122)%branchR2(0:0))
    call avR2(122, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3262])

    allocate(vertices(869)%branchR2(0:3))
    call avR2(869, 0, 30, 1, 0, VFFa0, 0, [1, 2], [nGC_3426, nGC_3425])

    call avR2(869, 1, 30, 1, 0, VFFa0, 0, [3, 0], [nGC_3427, nGC_3427])

    call avR2(869, 2, 31, 1, 0, VFFa0, 0, [1, 2], [nGC_3423, nGC_3422])

    call avR2(869, 3, 31, 1, 0, VFFa0, 0, [3, 0], [nGC_3424, nGC_3424])

    allocate(vertices(37)%branchR2(0:0))
    call avR2(37, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_3285, nGC_3286])

    allocate(vertices(761)%branchR2(0:0))
    call avR2(761, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_3399])

    allocate(vertices(227)%branchR2(0:0))
    call avR2(227, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3276, nGC_3277])

    allocate(vertices(900)%branchR2(0:1))
    call avR2(900, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_3298, nGC_3296])

    call avR2(900, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_3299, nGC_3297])

    allocate(vertices(936)%branchR2(0:1))
    call avR2(936, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_3377])

    call avR2(936, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_3379])

    allocate(vertices(982)%branchR2(0:0))
    call avR2(982, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3382])

    allocate(vertices(960)%branchR2(0:1))
    call avR2(960, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3385, nGC_3383])

    call avR2(960, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_3386, nGC_3384])

    allocate(vertices(1175)%branchR2(0:5))
    call avR2(1175, 0, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_3452, nGC_3452,        &
    nGC_3452])

    call avR2(1175, 1, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1175, 2, 79, 1, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1175, 3, 80, 1, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1175, 4, 81, 1, 0, VVVV0, 0, [3, 1], [nGC_3454, nGC_3454,        &
    nGC_3454])

    call avR2(1175, 5, 82, 1, 0, VVVV0, 0, [3, 1], [nGC_3452, nGC_3452,        &
    nGC_3452])

    allocate(vertices(995)%branchR2(0:1))
    call avR2(995, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_3337, nGC_3339])

    call avR2(995, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_3338, nGC_3340])

    allocate(vertices(98)%branchR2(0:0))
    call avR2(98, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3285, nGC_3286])

    allocate(vertices(1064)%branchR2(0:0))
    call avR2(1064, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_3231, nGC_3230, nGC_3232])

    allocate(vertices(996)%branchR2(0:0))
    call avR2(996, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3381])

    allocate(vertices(191)%branchR2(0:0))
    call avR2(191, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9939])

    allocate(vertices(807)%branchR2(0:1))
    call avR2(807, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3300, nGC_3302])

    call avR2(807, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3301, nGC_3303])

    allocate(vertices(839)%branchR2(0:0))
    call avR2(839, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_3362, nGC_3361])

    allocate(vertices(1176)%branchR2(0:1))
    call avR2(1176, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3446, nGC_3446,        &
    nGC_3446])

    call avR2(1176, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3447, nGC_3447,        &
    nGC_3447])

    allocate(vertices(507)%branchR2(0:1))
    call avR2(507, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_3378])

    call avR2(507, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_3379])

    allocate(vertices(201)%branchR2(0:1))
    call avR2(201, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_3386, nGC_3384])

    call avR2(201, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_3392, nGC_3391])

    allocate(vertices(233)%branchR2(0:0))
    call avR2(233, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_3306])

    allocate(vertices(1123)%branchR2(0:0))
    call avR2(1123, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9726])

    allocate(vertices(316)%branchR2(0:0))
    call avR2(316, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9757])

    allocate(vertices(1008)%branchR2(0:1))
    call avR2(1008, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_3378])

    call avR2(1008, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_3379])

    allocate(vertices(396)%branchR2(0:0))
    call avR2(396, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3380])

    allocate(vertices(613)%branchR2(0:1))
    call avR2(613, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3385, nGC_3383])

    call avR2(613, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3386, nGC_3384])

    allocate(vertices(1060)%branchR2(0:1))
    call avR2(1060, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_3223, nGC_3220, nGC_3221&
    , nGC_3221])

    call avR2(1060, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_3219, nGC_3219, nGC_3222&
    , nGC_3222])

    allocate(vertices(1081)%branchR2(0:1))
    call avR2(1081, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_3223, nGC_3220, nGC_3253&
    , nGC_3253])

    call avR2(1081, 1, 14, 1, 0, FFa1, 0, [2, 0], [nGC_3219, nGC_3219, nGC_3254&
    , nGC_3254])

    allocate(vertices(332)%branchR2(0:0))
    call avR2(332, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_3344, nGC_3343])

    allocate(vertices(450)%branchR2(0:0))
    call avR2(450, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_3336, nGC_3335])

    allocate(vertices(127)%branchR2(0:0))
    call avR2(127, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_3336, nGC_3335])

    allocate(vertices(15)%branchR2(0:1))
    call avR2(15, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3297, nGC_3299])

    call avR2(15, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3312, nGC_3313])

    allocate(vertices(1177)%branchR2(0:1))
    call avR2(1177, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_3442])

    call avR2(1177, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_3443])

    allocate(vertices(1178)%branchR2(0:1))
    call avR2(1178, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1178, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(844)%branchR2(0:0))
    call avR2(844, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_3318])

    allocate(vertices(91)%branchR2(0:0))
    call avR2(91, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_3284, nGC_3283])

    allocate(vertices(894)%branchR2(0:0))
    call avR2(894, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_3305])

    allocate(vertices(518)%branchR2(0:0))
    call avR2(518, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3373, nGC_3372])

    allocate(vertices(569)%branchR2(0:0))
    call avR2(569, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_3395, nGC_3396])

    allocate(vertices(811)%branchR2(0:0))
    call avR2(811, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_3377])

    allocate(vertices(1179)%branchR2(0:1))
    call avR2(1179, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9844, nGC_3440,        &
    nGC_9844])

    call avR2(1179, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9846, nGC_3441,        &
    nGC_9846])

    allocate(vertices(1071)%branchR2(0:0))
    call avR2(1071, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3280])

    allocate(vertices(548)%branchR2(0:1))
    call avR2(548, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_3378])

    call avR2(548, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_3379])

    allocate(vertices(985)%branchR2(0:3))
    call avR2(985, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_3417, nGC_3416])

    call avR2(985, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_3412, nGC_3412])

    call avR2(985, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_3415, nGC_3414])

    call avR2(985, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_3409, nGC_3409])

    allocate(vertices(782)%branchR2(0:0))
    call avR2(782, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3350])

    allocate(vertices(983)%branchR2(0:0))
    call avR2(983, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3285, nGC_3286])

    allocate(vertices(135)%branchR2(0:0))
    call avR2(135, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3382])

    allocate(vertices(1027)%branchR2(0:0))
    call avR2(1027, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3284, nGC_3283])

    allocate(vertices(1115)%branchR2(0:0))
    call avR2(1115, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_3252])

    allocate(vertices(58)%branchR2(0:1))
    call avR2(58, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3303, nGC_3301])

    call avR2(58, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3316, nGC_3315])

    allocate(vertices(556)%branchR2(0:0))
    call avR2(556, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_3293, nGC_3294])

    allocate(vertices(1180)%branchR2(0:1))
    call avR2(1180, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3450, nGC_3450,        &
    nGC_3450])

    call avR2(1180, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3451, nGC_3451,        &
    nGC_3451])

    allocate(vertices(291)%branchR2(0:0))
    call avR2(291, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3382])

    allocate(vertices(650)%branchR2(0:0))
    call avR2(650, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_3336, nGC_3335])

    allocate(vertices(745)%branchR2(0:1))
    call avR2(745, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3378])

    call avR2(745, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_3379])

    allocate(vertices(26)%branchR2(0:1))
    call avR2(26, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3386, nGC_3384])

    call avR2(26, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3401, nGC_3400])

    allocate(vertices(494)%branchR2(0:0))
    call avR2(494, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3349])

    allocate(vertices(594)%branchR2(0:0))
    call avR2(594, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3311, nGC_3310])

    allocate(vertices(879)%branchR2(0:0))
    call avR2(879, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3399])

    allocate(vertices(817)%branchR2(0:0))
    call avR2(817, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3404, nGC_3405])

    allocate(vertices(763)%branchR2(0:1))
    call avR2(763, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3337, nGC_3339])

    call avR2(763, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3338, nGC_3340])

    allocate(vertices(160)%branchR2(0:0))
    call avR2(160, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3381])

    allocate(vertices(794)%branchR2(0:0))
    call avR2(794, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3320])

    allocate(vertices(234)%branchR2(0:0))
    call avR2(234, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_3344, nGC_3343])

    allocate(vertices(1181)%branchR2(0:0))
    call avR2(1181, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3266])

    allocate(vertices(1182)%branchR2(0:1))
    call avR2(1182, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_3444])

    call avR2(1182, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_3445])

    allocate(vertices(655)%branchR2(0:0))
    call avR2(655, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3260])

    allocate(vertices(370)%branchR2(0:1))
    call avR2(370, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3360, nGC_3360])

    call avR2(370, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3358, nGC_3359])

    allocate(vertices(758)%branchR2(0:0))
    call avR2(758, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_3341, nGC_3342])

    allocate(vertices(1183)%branchR2(0:1))
    call avR2(1183, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_3438])

    call avR2(1183, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_3439])

    allocate(vertices(76)%branchR2(0:0))
    call avR2(76, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_3382])

    allocate(vertices(1184)%branchR2(0:1))
    call avR2(1184, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1184, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(698)%branchR2(0:0))
    call avR2(698, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3370, nGC_3371])

    allocate(vertices(1136)%branchR2(0:0))
    call avR2(1136, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_3218, nGC_3217])

    allocate(vertices(877)%branchR2(0:0))
    call avR2(877, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_3366, nGC_3365])

    allocate(vertices(1051)%branchR2(0:0))
    call avR2(1051, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3261])

    allocate(vertices(1185)%branchR2(0:5))
    call avR2(1185, 0, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_3452, nGC_3452,        &
    nGC_3452])

    call avR2(1185, 1, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1185, 2, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1185, 3, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_3454, nGC_3454,        &
    nGC_3454])

    call avR2(1185, 4, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1185, 5, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_3452, nGC_3452,        &
    nGC_3452])

    allocate(vertices(963)%branchR2(0:0))
    call avR2(963, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3398])

    allocate(vertices(502)%branchR2(0:0))
    call avR2(502, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3295])

    allocate(vertices(1186)%branchR2(0:1))
    call avR2(1186, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_3442])

    call avR2(1186, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_3443])

    allocate(vertices(987)%branchR2(0:1))
    call avR2(987, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3321, nGC_3323])

    call avR2(987, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3322, nGC_3324])

    allocate(vertices(417)%branchR2(0:1))
    call avR2(417, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_3264, nGC_3263])

    call avR2(417, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_3265, nGC_3265])

    allocate(vertices(184)%branchR2(0:1))
    call avR2(184, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_3390, nGC_3388])

    call avR2(184, 1, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3407, nGC_3406])

    allocate(vertices(203)%branchR2(0:0))
    call avR2(203, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_3344, nGC_3343])

    allocate(vertices(348)%branchR2(0:1))
    call avR2(348, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_3378])

    call avR2(348, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_3379])

    allocate(vertices(1124)%branchR2(0:0))
    call avR2(1124, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_3239, nGC_3236, nGC_3255&
    , nGC_3255])

    allocate(vertices(1187)%branchR2(0:1))
    call avR2(1187, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9844, nGC_3440,        &
    nGC_9844])

    call avR2(1187, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9846, nGC_3441,        &
    nGC_9846])

    allocate(vertices(461)%branchR2(0:1))
    call avR2(461, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_3265, nGC_3265])

    call avR2(461, 1, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3275, nGC_3274])

    allocate(vertices(1188)%branchR2(0:1))
    call avR2(1188, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3446, nGC_3446,        &
    nGC_3446])

    call avR2(1188, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3447, nGC_3447,        &
    nGC_3447])

    allocate(vertices(1055)%branchR2(0:0))
    call avR2(1055, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_3239, nGC_3236, nGC_3255&
    , nGC_3255])

    allocate(vertices(48)%branchR2(0:1))
    call avR2(48, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_3353, nGC_3353])

    call avR2(48, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_3351, nGC_3352])

    allocate(vertices(1189)%branchR2(0:1))
    call avR2(1189, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_3444])

    call avR2(1189, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_3445])

    allocate(vertices(61)%branchR2(0:1))
    call avR2(61, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3369, nGC_3369])

    call avR2(61, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3367, nGC_3368])

    allocate(vertices(589)%branchR2(0:1))
    call avR2(589, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3376, nGC_3376])

    call avR2(589, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3374, nGC_3375])

    allocate(vertices(479)%branchR2(0:1))
    call avR2(479, 0, 0, 1, 0, VVV0, 0, [3, 0], [nGC_10558])

    call avR2(479, 1, 1, 1, 0, VVV0, 0, [3, 0], [nGC_10560])

    allocate(vertices(533)%branchR2(0:0))
    call avR2(533, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_3378])

    allocate(vertices(561)%branchR2(0:1))
    call avR2(561, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3355, nGC_3356])

    call avR2(561, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3357, nGC_3357])

    allocate(vertices(992)%branchR2(0:0))
    call avR2(992, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_3305])

    allocate(vertices(524)%branchR2(0:1))
    call avR2(524, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3367, nGC_3368])

    call avR2(524, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3369, nGC_3369])

    allocate(vertices(446)%branchR2(0:0))
    call avR2(446, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_3404, nGC_3405])

    allocate(vertices(1056)%branchR2(0:0))
    call avR2(1056, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_3214, nGC_3213])

    allocate(vertices(534)%branchR2(0:0))
    call avR2(534, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3341, nGC_3342])

    allocate(vertices(274)%branchR2(0:1))
    call avR2(274, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3325, nGC_3327])

    call avR2(274, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3326, nGC_3328])

    allocate(vertices(976)%branchR2(0:0))
    call avR2(976, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3398])

    allocate(vertices(790)%branchR2(0:1))
    call avR2(790, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_3389, nGC_3387])

    call avR2(790, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_3390, nGC_3388])

    allocate(vertices(999)%branchR2(0:0))
    call avR2(999, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_3370, nGC_3371])

    allocate(vertices(1190)%branchR2(0:1))
    call avR2(1190, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_3442])

    call avR2(1190, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_3443])

    allocate(vertices(955)%branchR2(0:0))
    call avR2(955, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_3304])

    allocate(vertices(259)%branchR2(0:0))
    call avR2(259, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_3284, nGC_3283])

    allocate(vertices(321)%branchR2(0:0))
    call avR2(321, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_3304])

    allocate(vertices(1129)%branchR2(0:0))
    call avR2(1129, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_3280])

    allocate(vertices(1113)%branchR2(0:0))
    call avR2(1113, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3278])

    allocate(vertices(579)%branchR2(0:1))
    call avR2(579, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_3289, nGC_3288])

    call avR2(579, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_3271, nGC_3271])

    allocate(vertices(112)%branchR2(0:0))
    call avR2(112, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9889])

    allocate(vertices(62)%branchR2(0:1))
    call avR2(62, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3337, nGC_3339])

    call avR2(62, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3338, nGC_3340])

    allocate(vertices(725)%branchR2(0:3))
    call avR2(725, 0, 28, 1, 0, VFaF1, 0, [1, 2], [nGC_3435, nGC_3434])

    call avR2(725, 1, 28, 1, 0, VFaF1, 0, [3, 0], [nGC_3427, nGC_3427])

    call avR2(725, 2, 29, 1, 0, VFaF1, 0, [1, 2], [nGC_3433, nGC_3432])

    call avR2(725, 3, 29, 1, 0, VFaF1, 0, [3, 0], [nGC_3424, nGC_3424])

    allocate(vertices(617)%branchR2(0:0))
    call avR2(617, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3354])

    allocate(vertices(864)%branchR2(0:1))
    call avR2(864, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3367, nGC_3368])

    call avR2(864, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3369, nGC_3369])

    allocate(vertices(21)%branchR2(0:0))
    call avR2(21, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3295])

    allocate(vertices(1191)%branchR2(0:0))
    call avR2(1191, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3266])

    allocate(vertices(739)%branchR2(0:0))
    call avR2(739, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_3272, nGC_3273])

    allocate(vertices(347)%branchR2(0:0))
    call avR2(347, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3393, nGC_3394])

    allocate(vertices(109)%branchR2(0:3))
    call avR2(109, 0, 22, 1, 0, FaVF1, 0, [1, 2], [nGC_3417, nGC_3416])

    call avR2(109, 1, 22, 1, 0, FaVF1, 0, [3, 0], [nGC_3412, nGC_3412])

    call avR2(109, 2, 23, 1, 0, FaVF1, 0, [1, 2], [nGC_3415, nGC_3414])

    call avR2(109, 3, 23, 1, 0, FaVF1, 0, [3, 0], [nGC_3409, nGC_3409])

    allocate(vertices(808)%branchR2(0:1))
    call avR2(808, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_3321, nGC_3323])

    call avR2(808, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_3322, nGC_3324])

    allocate(vertices(704)%branchR2(0:1))
    call avR2(704, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3357, nGC_3357])

    call avR2(704, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3355, nGC_3356])

    allocate(vertices(532)%branchR2(0:0))
    call avR2(532, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_3314])

    allocate(vertices(737)%branchR2(0:0))
    call avR2(737, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_3306])

    allocate(vertices(1192)%branchR2(0:1))
    call avR2(1192, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_3438])

    call avR2(1192, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_3439])

    allocate(vertices(354)%branchR2(0:0))
    call avR2(354, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_3377])

    allocate(vertices(1193)%branchR2(0:1))
    call avR2(1193, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_3438])

    call avR2(1193, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_3439])

    allocate(vertices(198)%branchR2(0:1))
    call avR2(198, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_3377])

    call avR2(198, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_3379])

    allocate(vertices(1194)%branchR2(0:1))
    call avR2(1194, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_3438])

    call avR2(1194, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_3439])

    allocate(vertices(1066)%branchR2(0:0))
    call avR2(1066, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3280])

    allocate(vertices(1045)%branchR2(0:0))
    call avR2(1045, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_3252])

    allocate(vertices(322)%branchR2(0:0))
    call avR2(322, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3362, nGC_3361])

    allocate(vertices(1127)%branchR2(0:0))
    call avR2(1127, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_3252])

    allocate(vertices(849)%branchR2(0:1))
    call avR2(849, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3376, nGC_3376])

    call avR2(849, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3374, nGC_3375])

    allocate(vertices(435)%branchR2(0:0))
    call avR2(435, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3319])

    allocate(vertices(231)%branchR2(0:0))
    call avR2(231, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3341, nGC_3342])

    allocate(vertices(847)%branchR2(0:1))
    call avR2(847, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_3377])

    call avR2(847, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_3379])

    allocate(vertices(1125)%branchR2(0:1))
    call avR2(1125, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_3223, nGC_3220, nGC_3240&
    , nGC_3240])

    call avR2(1125, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_3219, nGC_3219, nGC_3241&
    , nGC_3241])

    allocate(vertices(170)%branchR2(0:0))
    call avR2(170, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3292])

    allocate(vertices(307)%branchR2(0:0))
    call avR2(307, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3334, nGC_3333])

    allocate(vertices(630)%branchR2(0:3))
    call avR2(630, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_3435, nGC_3434])

    call avR2(630, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_3427, nGC_3427])

    call avR2(630, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_3433, nGC_3432])

    call avR2(630, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_3424, nGC_3424])

    allocate(vertices(482)%branchR2(0:0))
    call avR2(482, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9889])

    allocate(vertices(1029)%branchR2(0:0))
    call avR2(1029, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3293, nGC_3294])

    allocate(vertices(165)%branchR2(0:0))
    call avR2(165, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_3334, nGC_3333])

    allocate(vertices(1137)%branchR2(0:0))
    call avR2(1137, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_3234, nGC_3233, nGC_3235])

    allocate(vertices(240)%branchR2(0:0))
    call avR2(240, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3293, nGC_3294])

    allocate(vertices(378)%branchR2(0:1))
    call avR2(378, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_3265, nGC_3265])

    call avR2(378, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_3282, nGC_3281])

    allocate(vertices(210)%branchR2(0:1))
    call avR2(210, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3297, nGC_3299])

    call avR2(210, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3312, nGC_3313])

    allocate(vertices(1195)%branchR2(0:1))
    call avR2(1195, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3450, nGC_3450,        &
    nGC_3450])

    call avR2(1195, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3451, nGC_3451,        &
    nGC_3451])

    allocate(vertices(1196)%branchR2(0:1))
    call avR2(1196, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1196, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(672)%branchR2(0:0))
    call avR2(672, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_3366, nGC_3365])

    allocate(vertices(501)%branchR2(0:1))
    call avR2(501, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3300, nGC_3302])

    call avR2(501, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3301, nGC_3303])

    allocate(vertices(1197)%branchR2(0:5))
    call avR2(1197, 0, 65, 1, 0, VVVV1, 0, [3, 1], [nGC_3455, nGC_3455,        &
    nGC_3455, nGC_3456])

    call avR2(1197, 1, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1197, 2, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1197, 3, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_3458, nGC_3458,        &
    nGC_3458])

    call avR2(1197, 4, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1197, 5, 70, 1, 0, VVVV1, 0, [3, 1], [nGC_3455, nGC_3455,        &
    nGC_3455, nGC_3459])

    allocate(vertices(823)%branchR2(0:0))
    call avR2(823, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_3276, nGC_3277])

    allocate(vertices(484)%branchR2(0:0))
    call avR2(484, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_3285, nGC_3286])

    allocate(vertices(303)%branchR2(0:0))
    call avR2(303, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3380])

    allocate(vertices(1031)%branchR2(0:1))
    call avR2(1031, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_3270, nGC_3269])

    call avR2(1031, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_3271, nGC_3271])

    allocate(vertices(623)%branchR2(0:1))
    call avR2(623, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_3389, nGC_3387])

    call avR2(623, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_3390, nGC_3388])

    allocate(vertices(409)%branchR2(0:0))
    call avR2(409, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3350])

    allocate(vertices(1198)%branchR2(0:1))
    call avR2(1198, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9844, nGC_9844,        &
    nGC_3440])

    call avR2(1198, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9846, nGC_9846,        &
    nGC_3441])

    allocate(vertices(671)%branchR2(0:0))
    call avR2(671, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_10089])

    allocate(vertices(193)%branchR2(0:0))
    call avR2(193, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3287])

    allocate(vertices(158)%branchR2(0:0))
    call avR2(158, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3309])

    allocate(vertices(1199)%branchR2(0:1))
    call avR2(1199, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1199, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(65)%branchR2(0:0))
    call avR2(65, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3381])

    allocate(vertices(653)%branchR2(0:0))
    call avR2(653, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_3362, nGC_3361])

    allocate(vertices(618)%branchR2(0:0))
    call avR2(618, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_3284, nGC_3283])

    allocate(vertices(492)%branchR2(0:0))
    call avR2(492, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3259])

    allocate(vertices(302)%branchR2(0:0))
    call avR2(302, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3382])

    allocate(vertices(706)%branchR2(0:3))
    call avR2(706, 0, 22, 1, 0, FaVF1, 0, [1, 2], [nGC_3413, nGC_3411])

    call avR2(706, 1, 22, 1, 0, FaVF1, 0, [3, 0], [nGC_3412, nGC_3412])

    call avR2(706, 2, 23, 1, 0, FaVF1, 0, [1, 2], [nGC_3410, nGC_3408])

    call avR2(706, 3, 23, 1, 0, FaVF1, 0, [3, 0], [nGC_3409, nGC_3409])

    allocate(vertices(757)%branchR2(0:1))
    call avR2(757, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_3378])

    call avR2(757, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_3379])

    allocate(vertices(480)%branchR2(0:0))
    call avR2(480, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_3318])

    allocate(vertices(1025)%branchR2(0:1))
    call avR2(1025, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3358, nGC_3359])

    call avR2(1025, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3360, nGC_3360])

    allocate(vertices(32)%branchR2(0:0))
    call avR2(32, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9840])

    allocate(vertices(710)%branchR2(0:1))
    call avR2(710, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_3389, nGC_3387])

    call avR2(710, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_3390, nGC_3388])

    allocate(vertices(804)%branchR2(0:0))
    call avR2(804, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_3318])

    allocate(vertices(463)%branchR2(0:1))
    call avR2(463, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3355, nGC_3356])

    call avR2(463, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3357, nGC_3357])

    allocate(vertices(1200)%branchR2(0:1))
    call avR2(1200, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3450, nGC_3450,        &
    nGC_3450])

    call avR2(1200, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3451, nGC_3451,        &
    nGC_3451])

    allocate(vertices(1201)%branchR2(0:1))
    call avR2(1201, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3440, nGC_9844,        &
    nGC_9844])

    call avR2(1201, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3441, nGC_9846,        &
    nGC_9846])

    allocate(vertices(553)%branchR2(0:3))
    call avR2(553, 0, 24, 1, 0, FaFV1, 0, [1, 2], [nGC_3421, nGC_3420])

    call avR2(553, 1, 24, 1, 0, FaFV1, 0, [3, 0], [nGC_3412, nGC_3412])

    call avR2(553, 2, 25, 1, 0, FaFV1, 0, [1, 2], [nGC_3419, nGC_3418])

    call avR2(553, 3, 25, 1, 0, FaFV1, 0, [3, 0], [nGC_3409, nGC_3409])

    allocate(vertices(222)%branchR2(0:0))
    call avR2(222, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3308])

    allocate(vertices(436)%branchR2(0:1))
    call avR2(436, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_3265, nGC_3265])

    call avR2(436, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_3264, nGC_3263])

    allocate(vertices(1133)%branchR2(0:0))
    call avR2(1133, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3280])

    allocate(vertices(1202)%branchR2(0:1))
    call avR2(1202, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_3438])

    call avR2(1202, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_3439])

    allocate(vertices(867)%branchR2(0:0))
    call avR2(867, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3320])

    allocate(vertices(382)%branchR2(0:0))
    call avR2(382, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9855])

    allocate(vertices(505)%branchR2(0:1))
    call avR2(505, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3389, nGC_3387])

    call avR2(505, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_3390, nGC_3388])

    allocate(vertices(129)%branchR2(0:1))
    call avR2(129, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3337, nGC_3339])

    call avR2(129, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3338, nGC_3340])

    allocate(vertices(1203)%branchR2(0:1))
    call avR2(1203, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_3438])

    call avR2(1203, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_3439])

    allocate(vertices(743)%branchR2(0:0))
    call avR2(743, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_3378])

    allocate(vertices(678)%branchR2(0:1))
    call avR2(678, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_3377])

    call avR2(678, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_3379])

    allocate(vertices(1204)%branchR2(0:1))
    call avR2(1204, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1204, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(383)%branchR2(0:1))
    call avR2(383, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3351, nGC_3352])

    call avR2(383, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3353, nGC_3353])

    allocate(vertices(738)%branchR2(0:0))
    call avR2(738, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_3377])

    allocate(vertices(629)%branchR2(0:1))
    call avR2(629, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3300, nGC_3302])

    call avR2(629, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3301, nGC_3303])

    allocate(vertices(1085)%branchR2(0:0))
    call avR2(1085, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3279])

    allocate(vertices(244)%branchR2(0:1))
    call avR2(244, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3337, nGC_3339])

    call avR2(244, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3338, nGC_3340])

    allocate(vertices(351)%branchR2(0:0))
    call avR2(351, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3395, nGC_3396])

    allocate(vertices(1041)%branchR2(0:1))
    call avR2(1041, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_3264, nGC_3263])

    call avR2(1041, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_3265, nGC_3265])

    allocate(vertices(1205)%branchR2(0:1))
    call avR2(1205, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1205, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(577)%branchR2(0:0))
    call avR2(577, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3382])

    allocate(vertices(1116)%branchR2(0:0))
    call avR2(1116, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_3228, nGC_3227, nGC_3229])

    allocate(vertices(375)%branchR2(0:1))
    call avR2(375, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_3390, nGC_3388])

    call avR2(375, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_3407, nGC_3406])

    allocate(vertices(858)%branchR2(0:0))
    call avR2(858, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9840])

    allocate(vertices(660)%branchR2(0:0))
    call avR2(660, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3291])

    allocate(vertices(162)%branchR2(0:1))
    call avR2(162, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3390, nGC_3388])

    call avR2(162, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3407, nGC_3406])

    allocate(vertices(871)%branchR2(0:1))
    call avR2(871, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3329, nGC_3331])

    call avR2(871, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3330, nGC_3332])

    allocate(vertices(874)%branchR2(0:0))
    call avR2(874, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_10206])

    allocate(vertices(810)%branchR2(0:1))
    call avR2(810, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3386, nGC_3384])

    call avR2(810, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3392, nGC_3391])

    allocate(vertices(365)%branchR2(0:0))
    call avR2(365, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_3378])

    allocate(vertices(826)%branchR2(0:0))
    call avR2(826, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3262])

    allocate(vertices(860)%branchR2(0:0))
    call avR2(860, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3382])

    allocate(vertices(107)%branchR2(0:0))
    call avR2(107, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3403, nGC_3402])

    allocate(vertices(226)%branchR2(0:0))
    call avR2(226, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_3362, nGC_3361])

    allocate(vertices(723)%branchR2(0:1))
    call avR2(723, 0, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_3386, nGC_3384])

    call avR2(723, 1, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_3401, nGC_3400])

    allocate(vertices(1087)%branchR2(0:1))
    call avR2(1087, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_3239, nGC_3236, nGC_3257&
    , nGC_3257])

    call avR2(1087, 1, 14, 1, 0, FFa1, 0, [2, 0], [nGC_3219, nGC_3219, nGC_3258&
    , nGC_3258])

    allocate(vertices(833)%branchR2(0:0))
    call avR2(833, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_3304])

    allocate(vertices(897)%branchR2(0:1))
    call avR2(897, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3374, nGC_3375])

    call avR2(897, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3376, nGC_3376])

    allocate(vertices(724)%branchR2(0:0))
    call avR2(724, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_3314])

    allocate(vertices(744)%branchR2(0:0))
    call avR2(744, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_3395, nGC_3396])

    allocate(vertices(1077)%branchR2(0:0))
    call avR2(1077, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3267])

    allocate(vertices(1024)%branchR2(0:0))
    call avR2(1024, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3287])

    allocate(vertices(335)%branchR2(0:0))
    call avR2(335, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3399])

    allocate(vertices(707)%branchR2(0:0))
    call avR2(707, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3381])

    allocate(vertices(1040)%branchR2(0:0))
    call avR2(1040, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_3306])

    allocate(vertices(1067)%branchR2(0:0))
    call avR2(1067, 0, 13, 1, 0, FFa3, 0, [0, 2], [nGC_3242, nGC_3243, nGC_3256&
    , nGC_3256])

    allocate(vertices(1073)%branchR2(0:0))
    call avR2(1073, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3279])

    allocate(vertices(1065)%branchR2(0:0))
    call avR2(1065, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3267])

    allocate(vertices(1097)%branchR2(0:0))
    call avR2(1097, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3279])

    allocate(vertices(350)%branchR2(0:0))
    call avR2(350, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3350])

    allocate(vertices(1206)%branchR2(0:1))
    call avR2(1206, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9844, nGC_3440,        &
    nGC_9844])

    call avR2(1206, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9846, nGC_3441,        &
    nGC_9846])

    allocate(vertices(221)%branchR2(0:0))
    call avR2(221, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3350])

    allocate(vertices(295)%branchR2(0:1))
    call avR2(295, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_3265, nGC_3265])

    call avR2(295, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_3264, nGC_3263])

    allocate(vertices(1039)%branchR2(0:0))
    call avR2(1039, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_3378])

    allocate(vertices(769)%branchR2(0:1))
    call avR2(769, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_3265, nGC_3265])

    call avR2(769, 1, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3282, nGC_3281])

    allocate(vertices(978)%branchR2(0:0))
    call avR2(978, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_3404, nGC_3405])

    allocate(vertices(539)%branchR2(0:0))
    call avR2(539, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3311, nGC_3310])

    allocate(vertices(24)%branchR2(0:3))
    call avR2(24, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_3421, nGC_3420])

    call avR2(24, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_3412, nGC_3412])

    call avR2(24, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_3419, nGC_3418])

    call avR2(24, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_3409, nGC_3409])

    allocate(vertices(764)%branchR2(0:0))
    call avR2(764, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_3366, nGC_3365])

    allocate(vertices(675)%branchR2(0:1))
    call avR2(675, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3353, nGC_3353])

    call avR2(675, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3351, nGC_3352])

    allocate(vertices(328)%branchR2(0:0))
    call avR2(328, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3307])

    allocate(vertices(1207)%branchR2(0:1))
    call avR2(1207, 0, 45, 1, 0, VSV0, 0, [2, 1], [nGC_3363])

    call avR2(1207, 1, 46, 1, 0, VSV0, 0, [2, 1], [nGC_3364])

    allocate(vertices(972)%branchR2(0:0))
    call avR2(972, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_3284, nGC_3283])

    allocate(vertices(442)%branchR2(0:0))
    call avR2(442, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3350])

    allocate(vertices(777)%branchR2(0:0))
    call avR2(777, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3403, nGC_3402])

    allocate(vertices(893)%branchR2(0:0))
    call avR2(893, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_3366, nGC_3365])

    allocate(vertices(177)%branchR2(0:1))
    call avR2(177, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3325, nGC_3327])

    call avR2(177, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3326, nGC_3328])

    allocate(vertices(669)%branchR2(0:0))
    call avR2(669, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_10089])

    allocate(vertices(334)%branchR2(0:3))
    call avR2(334, 0, 28, 1, 0, VFaF1, 0, [1, 2], [nGC_3413, nGC_3411])

    call avR2(334, 1, 28, 1, 0, VFaF1, 0, [3, 0], [nGC_3412, nGC_3412])

    call avR2(334, 2, 29, 1, 0, VFaF1, 0, [1, 2], [nGC_3410, nGC_3408])

    call avR2(334, 3, 29, 1, 0, VFaF1, 0, [3, 0], [nGC_3409, nGC_3409])

    allocate(vertices(18)%branchR2(0:0))
    call avR2(18, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_3314])

    allocate(vertices(674)%branchR2(0:0))
    call avR2(674, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3260])

    allocate(vertices(628)%branchR2(0:1))
    call avR2(628, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3298, nGC_3296])

    call avR2(628, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3299, nGC_3297])

    allocate(vertices(748)%branchR2(0:0))
    call avR2(748, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_10206])

    allocate(vertices(120)%branchR2(0:1))
    call avR2(120, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_3386, nGC_3384])

    call avR2(120, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_3392, nGC_3391])

    allocate(vertices(362)%branchR2(0:0))
    call avR2(362, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3307])

    allocate(vertices(101)%branchR2(0:1))
    call avR2(101, 0, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_3390, nGC_3388])

    call avR2(101, 1, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_3407, nGC_3406])

    allocate(vertices(39)%branchR2(0:0))
    call avR2(39, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3381])

    allocate(vertices(285)%branchR2(0:1))
    call avR2(285, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3321, nGC_3323])

    call avR2(285, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3322, nGC_3324])

    allocate(vertices(116)%branchR2(0:1))
    call avR2(116, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3270, nGC_3269])

    call avR2(116, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3271, nGC_3271])

    allocate(vertices(400)%branchR2(0:0))
    call avR2(400, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9939])

    allocate(vertices(528)%branchR2(0:0))
    call avR2(528, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3381])

    allocate(vertices(925)%branchR2(0:0))
    call avR2(925, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_3305])

    allocate(vertices(883)%branchR2(0:0))
    call avR2(883, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_3381])

    allocate(vertices(1132)%branchR2(0:0))
    call avR2(1132, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_3252])

    allocate(vertices(1208)%branchR2(0:1))
    call avR2(1208, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3450, nGC_3450,        &
    nGC_3450])

    call avR2(1208, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3451, nGC_3451,        &
    nGC_3451])

    allocate(vertices(412)%branchR2(0:0))
    call avR2(412, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3287])

    allocate(vertices(439)%branchR2(0:1))
    call avR2(439, 0, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_3386, nGC_3384])

    call avR2(439, 1, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_3392, nGC_3391])

    allocate(vertices(703)%branchR2(0:0))
    call avR2(703, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3382])

    allocate(vertices(966)%branchR2(0:0))
    call avR2(966, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3295])

    allocate(vertices(1209)%branchR2(0:1))
    call avR2(1209, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1209, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(909)%branchR2(0:0))
    call avR2(909, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_3381])

    allocate(vertices(60)%branchR2(0:0))
    call avR2(60, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3380])

    allocate(vertices(546)%branchR2(0:0))
    call avR2(546, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_3373, nGC_3372])

    allocate(vertices(147)%branchR2(0:1))
    call avR2(147, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3321, nGC_3323])

    call avR2(147, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3322, nGC_3324])

    allocate(vertices(1088)%branchR2(0:0))
    call avR2(1088, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3279])

    allocate(vertices(1210)%branchR2(0:1))
    call avR2(1210, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9844, nGC_9844,        &
    nGC_3440])

    call avR2(1210, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9846, nGC_9846,        &
    nGC_3441])

    allocate(vertices(254)%branchR2(0:0))
    call avR2(254, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_3403, nGC_3402])

    allocate(vertices(1211)%branchR2(0:5))
    call avR2(1211, 0, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_3452, nGC_3452,        &
    nGC_3452])

    call avR2(1211, 1, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1211, 2, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1211, 3, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1211, 4, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_3454, nGC_3454,        &
    nGC_3454])

    call avR2(1211, 5, 76, 1, 0, VVVV0, 0, [3, 1], [nGC_3452, nGC_3452,        &
    nGC_3452])

    allocate(vertices(1020)%branchR2(0:0))
    call avR2(1020, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9757])

    allocate(vertices(640)%branchR2(0:0))
    call avR2(640, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3293, nGC_3294])

    allocate(vertices(1106)%branchR2(0:1))
    call avR2(1106, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_3223, nGC_3220, nGC_3221&
    , nGC_3221])

    call avR2(1106, 1, 14, 1, 0, FFa1, 0, [2, 0], [nGC_3219, nGC_3219, nGC_3222&
    , nGC_3222])

    allocate(vertices(649)%branchR2(0:1))
    call avR2(649, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_3345, nGC_3347])

    call avR2(649, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_3346, nGC_3348])

    allocate(vertices(377)%branchR2(0:0))
    call avR2(377, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_3317])

    allocate(vertices(681)%branchR2(0:1))
    call avR2(681, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_3271, nGC_3271])

    call avR2(681, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_3289, nGC_3288])

    allocate(vertices(313)%branchR2(0:1))
    call avR2(313, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_3297, nGC_3299])

    call avR2(313, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_3312, nGC_3313])

    allocate(vertices(818)%branchR2(0:0))
    call avR2(818, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3397])

    allocate(vertices(1079)%branchR2(0:0))
    call avR2(1079, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3261])

    allocate(vertices(805)%branchR2(0:23))
    call avR2(805, 0, 2, 1, 0, VVVV0, 0, [4, 0], [nGC_3461, nGC_3461, nGC_3460])

    call avR2(805, 1, 3, 1, 0, VVVV0, 0, [4, 0], [nGC_3461, nGC_3461, nGC_3460])

    call avR2(805, 2, 4, 1, 0, VVVV0, 0, [4, 0], [nGC_3472, nGC_3474, nGC_3473])

    call avR2(805, 3, 5, 1, 0, VVVV0, 0, [4, 0], [nGC_3469, nGC_3471, nGC_3470])

    call avR2(805, 4, 6, 1, 0, VVVV0, 0, [4, 0], [nGC_3472, nGC_3474, nGC_3473])

    call avR2(805, 5, 7, 1, 0, VVVV0, 0, [4, 0], [nGC_3469, nGC_3471, nGC_3470])

    call avR2(805, 6, 89, 1, 0, VVVV0, 0, [4, 0], [nGC_3462, nGC_3462, nGC_3462&
    ])

    call avR2(805, 7, 90, 1, 0, VVVV0, 0, [4, 0], [nGC_3463, nGC_3462, nGC_3464&
    ])

    call avR2(805, 8, 91, 1, 0, VVVV0, 0, [4, 0], [nGC_3466, nGC_3465, nGC_3465&
    ])

    call avR2(805, 9, 92, 1, 0, VVVV0, 0, [4, 0], [nGC_3463, nGC_3464, nGC_3462&
    ])

    call avR2(805, 10, 93, 1, 0, VVVV0, 0, [4, 0], [nGC_3467, nGC_3468,        &
    nGC_3466])

    call avR2(805, 11, 94, 1, 0, VVVV0, 0, [4, 0], [nGC_3465, nGC_3466,        &
    nGC_3465])

    call avR2(805, 12, 95, 1, 0, VVVV0, 0, [4, 0], [nGC_3462, nGC_3464,        &
    nGC_3463])

    call avR2(805, 13, 96, 1, 0, VVVV0, 0, [4, 0], [nGC_3462, nGC_3464,        &
    nGC_3463])

    call avR2(805, 14, 97, 1, 0, VVVV0, 0, [4, 0], [nGC_3463, nGC_3464,        &
    nGC_3462])

    call avR2(805, 15, 98, 1, 0, VVVV0, 0, [4, 0], [nGC_3463, nGC_3462,        &
    nGC_3464])

    call avR2(805, 16, 99, 1, 0, VVVV0, 0, [4, 0], [nGC_3462, nGC_3462,        &
    nGC_3462])

    call avR2(805, 17, 100, 1, 0, VVVV0, 0, [4, 0], [nGC_3475, nGC_3475,       &
    nGC_3475])

    call avR2(805, 18, 101, 1, 0, VVVV0, 0, [4, 0], [nGC_3475, nGC_3475,       &
    nGC_3475])

    call avR2(805, 19, 102, 1, 0, VVVV0, 0, [4, 0], [nGC_3475, nGC_3475,       &
    nGC_3475])

    call avR2(805, 20, 103, 1, 0, VVVV0, 0, [4, 0], [nGC_3476, nGC_3476,       &
    nGC_3476])

    call avR2(805, 21, 104, 1, 0, VVVV0, 0, [4, 0], [nGC_3475, nGC_3475,       &
    nGC_3475])

    call avR2(805, 22, 105, 1, 0, VVVV0, 0, [4, 0], [nGC_3475, nGC_3475,       &
    nGC_3475])

    call avR2(805, 23, 106, 1, 0, VVVV0, 0, [4, 0], [nGC_3475, nGC_3475,       &
    nGC_3475])

    allocate(vertices(119)%branchR2(0:1))
    call avR2(119, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_3377])

    call avR2(119, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_3379])

    allocate(vertices(1062)%branchR2(0:0))
    call avR2(1062, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3278])

    allocate(vertices(432)%branchR2(0:0))
    call avR2(432, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9852])

    allocate(vertices(498)%branchR2(0:0))
    call avR2(498, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3309])

    allocate(vertices(346)%branchR2(0:1))
    call avR2(346, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_3303, nGC_3301])

    call avR2(346, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_3316, nGC_3315])

    allocate(vertices(1212)%branchR2(0:1))
    call avR2(1212, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_3438])

    call avR2(1212, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_3439])

    allocate(vertices(1213)%branchR2(0:1))
    call avR2(1213, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9844, nGC_9844,        &
    nGC_3440])

    call avR2(1213, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9846, nGC_9846,        &
    nGC_3441])

    allocate(vertices(84)%branchR2(0:1))
    call avR2(84, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_3265, nGC_3265])

    call avR2(84, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_3282, nGC_3281])

    allocate(vertices(218)%branchR2(0:0))
    call avR2(218, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3381])

    allocate(vertices(1118)%branchR2(0:0))
    call avR2(1118, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3267])

    allocate(vertices(1089)%branchR2(0:0))
    call avR2(1089, 0, 13, 1, 0, FaF3, 0, [0, 2], [nGC_3242, nGC_3243, nGC_3244&
    , nGC_3244])

    allocate(vertices(1214)%branchR2(0:1))
    call avR2(1214, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_3444])

    call avR2(1214, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_3445])

    allocate(vertices(488)%branchR2(0:1))
    call avR2(488, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3321, nGC_3323])

    call avR2(488, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3322, nGC_3324])

    allocate(vertices(846)%branchR2(0:0))
    call avR2(846, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3382])

    allocate(vertices(355)%branchR2(0:0))
    call avR2(355, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3404, nGC_3405])

    allocate(vertices(405)%branchR2(0:0))
    call avR2(405, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_3393, nGC_3394])

    allocate(vertices(1215)%branchR2(0:1))
    call avR2(1215, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_3438])

    call avR2(1215, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_3439])

    allocate(vertices(425)%branchR2(0:0))
    call avR2(425, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_3336, nGC_3335])

    allocate(vertices(250)%branchR2(0:0))
    call avR2(250, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3295])

    allocate(vertices(571)%branchR2(0:0))
    call avR2(571, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_3272, nGC_3273])

    allocate(vertices(1054)%branchR2(0:0))
    call avR2(1054, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9726])

    allocate(vertices(219)%branchR2(0:1))
    call avR2(219, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3360, nGC_3360])

    call avR2(219, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3358, nGC_3359])

    allocate(vertices(284)%branchR2(0:1))
    call avR2(284, 0, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_3386, nGC_3384])

    call avR2(284, 1, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_3401, nGC_3400])

    allocate(vertices(286)%branchR2(0:0))
    call avR2(286, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_3393, nGC_3394])

    allocate(vertices(337)%branchR2(0:1))
    call avR2(337, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_3378])

    call avR2(337, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_3379])

    allocate(vertices(915)%branchR2(0:1))
    call avR2(915, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_3378])

    call avR2(915, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_3379])

    allocate(vertices(104)%branchR2(0:1))
    call avR2(104, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3369, nGC_3369])

    call avR2(104, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3367, nGC_3368])

    allocate(vertices(913)%branchR2(0:0))
    call avR2(913, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3354])

    allocate(vertices(1216)%branchR2(0:1))
    call avR2(1216, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_3438])

    call avR2(1216, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_3439])

    allocate(vertices(568)%branchR2(0:0))
    call avR2(568, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9711])

    allocate(vertices(33)%branchR2(0:1))
    call avR2(33, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3325, nGC_3327])

    call avR2(33, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3326, nGC_3328])

    allocate(vertices(88)%branchR2(0:1))
    call avR2(88, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_3386, nGC_3384])

    call avR2(88, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_3401, nGC_3400])

    allocate(vertices(862)%branchR2(0:0))
    call avR2(862, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3382])

    allocate(vertices(469)%branchR2(0:1))
    call avR2(469, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3377])

    call avR2(469, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_3379])

    allocate(vertices(719)%branchR2(0:1))
    call avR2(719, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3297, nGC_3299])

    call avR2(719, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3312, nGC_3313])

    allocate(vertices(404)%branchR2(0:0))
    call avR2(404, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3311, nGC_3310])

    allocate(vertices(1217)%branchR2(0:1))
    call avR2(1217, 0, 28, 1, 0, VFaF1, 0, [1, 2], [nGC_3429, nGC_3428])

    call avR2(1217, 1, 29, 1, 0, VFaF1, 0, [1, 2], [nGC_3431, nGC_3430])

    allocate(vertices(774)%branchR2(0:1))
    call avR2(774, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_3300, nGC_3302])

    call avR2(774, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_3301, nGC_3303])

    allocate(vertices(1218)%branchR2(0:1))
    call avR2(1218, 0, 47, 1, 0, VVS0, 0, [2, 1], [nGC_3363])

    call avR2(1218, 1, 48, 1, 0, VVS0, 0, [2, 1], [nGC_3364])

    allocate(vertices(111)%branchR2(0:0))
    call avR2(111, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_3305])

    allocate(vertices(1063)%branchR2(0:0))
    call avR2(1063, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_3225, nGC_3224, nGC_3226])

    allocate(vertices(1219)%branchR2(0:0))
    call avR2(1219, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3266])

    allocate(vertices(588)%branchR2(0:0))
    call avR2(588, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_3317])

    allocate(vertices(414)%branchR2(0:0))
    call avR2(414, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3309])

    allocate(vertices(1131)%branchR2(0:0))
    call avR2(1131, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3278])

    allocate(vertices(1104)%branchR2(0:0))
    call avR2(1104, 0, 13, 1, 0, FFa3, 0, [0, 2], [nGC_3242, nGC_3243, nGC_3244&
    , nGC_3244])

    allocate(vertices(821)%branchR2(0:1))
    call avR2(821, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3351, nGC_3352])

    call avR2(821, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3353, nGC_3353])

    allocate(vertices(491)%branchR2(0:1))
    call avR2(491, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_3265, nGC_3265])

    call avR2(491, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_3275, nGC_3274])

    allocate(vertices(624)%branchR2(0:0))
    call avR2(624, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3290])

    allocate(vertices(735)%branchR2(0:1))
    call avR2(735, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_3377])

    call avR2(735, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_3379])

  end subroutine fill_vertices_mdl4
end module vertices_info4
